Introduction

This document describes the usage of the program ATENA 3D (ATENA 3D Graphical User Interface), which is a part of the ATENA program system. This document is compatible with the ATENA version 5.0.0 released in July 2013.

The ATENA program, which is determined for nonlinear finite element analysis of structures, offers tools specially designed for computer simulation of concrete and reinforced concrete structural behavior.

ATENA program system consists of a solution core and several user interfaces. The solution core offers capabilities for variety of structural analysis tasks, such as: stress and failure analysis, transport of heat and humidity, time dependent problems (creep, dynamics), and their interactions. Solution core offers a wide range of 2D and 3D continuum models, libraries of finite elements, material models and solution methods. User interfaces are specialized on certain functions and thus one user interface need not necessarily provide access to all features of ATENA solution core. This limitation is made on order to maintain a transparent and user friendly user environment in all specific applications of ATENA.

ATENA 3D program is designed for 3D nonlinear analysis of solids with special tools for reinforced concrete structures. However, structures from other materials, such as soils, metals etc. can be treated as well. The program has three main functions:

1. Pre-processing. Input of geometrical objects (concrete, reinforcement, interfaces, etc.), loading and boundary conditions, meshing and solution parameters.

2. Analysis. It makes possible a real time monitoring of results during calculations.

3. Post-processing. Access to a wide range of graphical and numerical results.

ATENA 3D is limited to stress analysis. It does not include other types of analysis, such as creep and transport of heat and humidity. (These special analyses are made in applications of GID, see separate Manuals).

This manual is devoted mainly to the description of all program functions. The questions of the ATENA solution core and the theoretical background are mentioned only marginally and are included in the other volumes of the ATENA documentation: ATENA Part 1 - Theory , Part 6 - ATENA Input file. Although some examples are included in this manual to support description of some functions, a systematic treatment of examples is not covered. It is also a subject of a separate document ATENA Part 5 – Examples.

The functions are described in order as they appear in the in A3D windows. In this document the abbreviation A3D is used for the program ATENA 3D Graphical User Interface.

Copyright © 2006-2014 Cervenka Consulting. All rights reserved.


ATENA 3D Window

ATENA 3D user interface consists of three main windows, through which a user can control three phases of execution: Pre-processing, Run (calculation) and Post-processing. ATENA has a modular structure. Calculation phases are processed by these program modules separately by opening a corresponding window. This can be done by clicking on the program button located on the top-right of the main menu bar, see Fig. 2‑1.

 | Rectangular Callout: Programs – processing phases
Rectangular Callout: Main menu

Rectangular Callout: Graphical window Rectangular Callout: Information text, lists Rectangular Callout: Access to data

Fig. 2‑1 ATENA 3D window.

The name of the currently started program appears in the top blue widows bar, such as “ATENA 3D Pre-processor” in the above example. The contents of the window changes with the program started. See Sections 3.1, 4.1, and 5.2 for the descriptions of the Pre-processing, Run, and Post-processing windows, respectively.

By switching the programs, ATENA replaces one program module by another and all data related to the specific task are also loaded, if available. For example, if the program is in a pre-processing mode and switches to post-processing, the data with results are made available. This may take some time in proportion to the task size. If no data are available the program (and window) is not opened.


Geometrical and Numerical Models

ATENA recognizes two models, geometrical and numerical. Data of these models are treated strictly separately. Geometrical model represents dimensions, properties and loading. It consists of an assembly of macroelements (solids). Macroelements are connected by contacts. Each macroelement is an independent object defined by joints lines and surfaces. Thus on a contact of neighboring macroelements there are double surfaces (consequently also double lines and double joints). This provision assures that each object is independent of the others. If we ad or remove a macroelement all its entities are added or removed without interference with other objects. All interaction between the macroelements is provided by contacts.

Reinforcement can be modeled by two ways. First way is a discrete bar, which is defined as a geometrical multi-linear object. It is embedded in solid objects. Its geometry is defined independently of macroelement. Thus one reinforcing bar can be embedded in any number of macroelements. Second way is a smeared reinforcement, defined as a composite material, which has no effect on geometrical model.

Geometrical model is completed by defining loading (load cases and load history) and construction cases.

Numerical model is generated based on geometrical model and represents a numerical approximation of the structural analysis problem. Numerical model is a result of discretisation made by the finite element method. The mesh generator in ATENA makes possible to generate automatically meshes for solid and reinforcing objects. As a consequence of independent macroelements the finite element meshes are made for each macroelement independently. Thus, when two macroelements are connected as neighboring objects, there are two surfaces belonging to each object on the contact. There are two sets of nodes on the contact, which may, but need not to coincide. The connection between the nodes of neighboring objects can be perfect, or there may be a contact element to model other types of interaction.


Starting ATENA 3D

ATENA can be started at any stage of analysis progress, depending on data available. Initially, in case of a new task, ATENA is started without any data in pre-processing mode to enable input of a new task. The data of a task at any stage of processing can be saved and re-started later. During a re-start the program identifies its data and goes to the window most recently used. The details of the access to various functions shall be described in the context of each module.


Terminology

Material – Constitutive model of material used in ATENA to represent a certain material type.

Geometrical model – Solid structure described as an assembly of basic geometrical objects (macroelements, their contacts, reinforcing, springs, etc.)

Macroelement – basic geometrical 3D object defined by surfaces.

Surface – planar face of object circumvented by lines.

Line – line connecting two joints.

Joint – basic geometrical entity.

Reinforcement bar – multi-linear object embedded in macroelements.

Contact – contact plane of two macroelements.

External cables – reinforcement connected to structure in limited number of joints only and otherwise not embedded in solid macroelements.

Spring – object representing a spring support.

Construction case – assembly of geometrical objects (macroelements, contacts, reinforcement bars, etc.) representing certain construction phase.

Load case - load action defined on assembly of macroelements.

Load step – increment of load action.

Analysis steps – loading history defined as a sequence of load increments.

Finite element – basic element used for approximation of deformation and stress state of a solid.

Node – point in finite element mesh.

DOF – degree of freedom used as independent variable in finite element analysis.


Pre-processing Window

In this chapter we shall describe the functionality of the pre-processing window in the sequence as they appear on the screen. Tool-bars available in the pre-processing window are described in Fig. 3‑1. Detail description follows. Most functions can be accessed in two ways: (1) Using graphical tools form the tool bars (see Sections 3.3 to 0 and 3.7.1 to 3.7.6). This is the recommended way.

(2) Using the main menu items, see Fig. 2‑1 and Sections 3.2.1 to 3.2.7. Some graphical functions cannot be accessed from the main menu.

Fig. 3‑1 Pre-processing window.


File

Rectangular Callout: Open recent files Rectangular Callout: Open other ATENA file Rectangular Callout: Open recently used directory Rectangular Callout: Save file under name Rectangular Callout: New file Rectangular Callout: Save existing file Rectangular Callout: Open existing file Rectangular Callout: Print text output Line Callout 2: Stop and exit ATENA Rectangular Callout: Print graphic output

Fig. 3‑2 Items in menu “File”.

Items of the menu File are described in Fig. 3‑2. In the item Open other following ATENA files can be open:

1) Input text file for ATENA execution control (Name *.inp).

2) Binary step-output file for a step, (Name *.i, where i is a three-digit load step number). Binary step-output files can be generated by various ATENA programs (ATENA 3D, ATENAWin). See 5.3.1.1.


Edit

Rectangular Callout: Copy contents of graphic window Rectangular Callout: Import of finite elements through file *.ixt

Fig. 3‑3 Menu Edit


Copy of Graphics

By clicking on the item Copy in Edit menu a contents of graphic window is copied to a clipboard as a bitmap in resolution as defined in the menu Settings | Settings | Output. A Paste command can follow to insert a bitmap to a document or a program.


Introduction

Import of finite elements generated by other programs or means can be imported using IXT format. Data are written in a text file with the three lists. Each list must have on the first line a keyword in parenthesis <>. This is followed by list lines. Each line includes one node, element, or group. Order of the lists is fixed.

Format of the file:

It is a text file. Separator of numbers: space or tab. Line is ignored if in the first position is ne of the following characters: ; ! # Such lines can be used for comment. Usual formats of floating point numbers are accepted.

Extension of the file name is .IXT

Text file has three sections. Order of the section is fixed.

section | head | Description
nodes | <Nodes> | List of mesh nodal coordinates.
elements | <Elements> | List of element connectivity.
groups of elements | <Macroelements> | List of elements in groups.


Nodes

Heading keyword <Nodes> must be in the first line.

This is followed by list of nodes. Each line includes node number (integer) and its coordinates X,Y,Z (floating point number).


Elements

Heading keyword <Elements> must be in the first line.

In second line is the keyword ELEMENT_TYPE followed by element type name.

Element type | Names
1D | CCIsoTruss<xx>
2D | CCIsoQuad<xxxx>, CCIsoTriangle<xxx>
3D | CCIsoTetra<xxxx>, CCIsoBrick<xxxxxxxx>, CCIsoPenta<xxxxx>, CCIsoWedge<xxxxxx>
1D contact | CCIsoGap<xxxx>
2D contact | CCIsoGap<xxxxxx>, CCIsoGap<xxxxxxxx> *

This is followed by list of element connectivity. One line is for one element. First number in line is element number followed by element node list.


Groups of Elements

Heading keyword <Macroelements> must be in the first line. Each next line defines one element group: Group number, list of elements. Numbers in list can be separated single numbers, or intervals. Interval has starting and ending number separated by -. Example: 11-51 means all elements from 11 to 51. Both forms of list can be combined.

Example of IXT file is shown in Fig. 3‑4. Example of finite element model read into ATENA via IXT file is shown in Fig. 3‑5.

<Nodes>

      2  0.0000000000  0.0790000000 -0.0240000000

      3  0.0000000000  0.0610000000 -0.0330000000

      4  0.0000000000  0.0430000000 -0.0420000000

      5  0.0000000000  0.0250000000 -0.0510000000

      .        .          .             .

      .       .          .             .

<Elements>

ELEMENT_TYPE CCIsoBrick<xxxxxxxx>

    171       73      92     173      74     254     255      21       2

    172       74     173     174      75       2      21      22       3

    173       75     174     175      76       3      22      23       4

    174       76     175     176      77       4      23      24       5

    175       77     176     433     432       5      24     711       6

     .        .       .       .       .        .       .       .       .

     .        .       .       .       .        .       .       .       .

<Macroelements>

1 171-320

2 403-432

3 625-804

Fig. 3‑4 Example of IXT file for input of finite elements.

Fig. 3‑5 Example of element group generated by other program imported via IXT file.


Input

This menu contains exactly the same items as the graphical tool Regimes. For description please refer to the graphical tool-bar Regimes.


Data

Fig. 3‑6 Data menu items. Example of Results manager window.

Two menu items are available in Data menu for deleting and saving data.


Results Manager

Results manager enables to delete data of some or all load steps. This is done by selecting load steps from the table as shown in Fig. 3‑6, right and then clicking on the button Delete results. All load steps are selected/deselected by the buttons + | - | *. Results of selected load steps are deleted from the ATENA memory. After this, when saving ATENA data, a *.cc3 file does not contain deleted results. This operation can be made, for example, before we repeat the analysis.


Save Step Results

Result manager makes possible to save results of steps in binary files. Load steps are selected by clicking on the number of load steps. After clicking on the button Export results a desired target directory can by located and selected data can be saved. The file names are automatically created in format Task_name.i, where Task_name is the name used for the ATENA data in a save command and i is a three-digit number of the load step.


Save Input Files

Text input files can be saved using the item Save INP file of Data menu. In this case data for all analysis steps defined in pre-processor are saved in a target directory. The file names are automatically created in format k.inp, where k is the six-digit number of load step inp is the extension used in ATENA for input files.

Note: Text input files (*.inp) are used in ATENA for control of calculation. In case of ATENA 3D they are generated by pre-processor. Input commands in this file are using ID codes for model identification. ID codes are numerical strings supporting unique identification of model entities (load cases, elements, nodes, etc.), coded by ATENA 3D interface and cannot be easily interpreted by a user.


View

Fig. 3‑7 Menu Show

With the help of menu Show tool bars can be displayed or hidden.


Options

Fig. 3‑8 Menu Settings

Fig. 3‑9 Window for Display settings

Window for display settings contains a set of tabs with lists of options for display of all model entities. Entities to be displayed should be marked in check box.

Note: Alternative switch for display of entities can be done in the graphical tool View. However, this tool offers only on/off switch of main entities (macroelement, reinforcement, etc.).


Options - Settings

In the View | Color scheme, Fig. 3‑10, background color (white or black) can be chosen. The Draw while rotating or panning option makes it possible to reduce drawing time while moving an object. Graph line thickness can be chosen, 0 means hairline.

Fig. 3‑10 Menu “Options | Settings | View.

Menu Options | Settings | Coordinate system orientation, Fig. 3‑11, allows to set which coordinate axis represents the “up” direction.

Fig. 3‑11 Menu “Options | Settings | Coordinate system orientation”.

In the tab Output, Fig. 3‑12, the resolution of bitmaps exported to clipboard can be defined.

Fig. 3‑12 Menu “Options | Settings | Output”.


Help

Help menu provides an access to ATENA installation identification and to documentation.


File and Print Tools

Fig. 3‑13 File and print tools

First three tools are standard tools for New/Open/Save file. The three tools in the right are for generation of text and graphical outputs for printing purposes.

By clicking on the Text (icon no.4) a list of available options for print of input data is offered. Data to be printed should be checked in corresponding boxes, see Fig. 3‑14. Then the button Generate located below the list is clicked and a document is displayed in the right.

Fig. 3‑14 Text document produced by “Print text” command

Document can be manipulated by standard tools located in the top. It can be saved in two types of format, RTF and PDF. Document can be opened for inspection and editing either directly from ATENA window, or separately in Word or Acrobat reader. Similarly, graphic output can be generated and saved.

A line text file in ASCI format can be produced as follows. After generating a document in Print text window got to Edit menu and perform operations Select all and Copy. Then open any text line processor, such as Notepad, and paste the contents in this editor. Then save it as a text file.

To produce a bitmap of a graphic window, go to the main menu item Edit as described earlier in the “Main menu”.


Select Tools

Select tools are supporting topology functions. They are active only when “Select” mode is activated in any topology function (Macroelements, Contacts, Reinforcement, etc.). Geometrical objects can be selected when they are open to input. This can be done by choosing appropriate entity from the data tree, see Fig. 3‑1. Then one of the selection modes can be used: Select by mouse, Select from table.


Select by Mouse

As mentioned above, first, an object type must be opened from data tree by clicking on its item. For example, to open select of macroelements click on the data tree item Topology | Macroelement | Select.

Fig. 3‑15 Select tools

Selection is made in the following sequence of steps, see Fig. 3‑15.

1) Type of selection is chosen from one of the tools located in the middle of the bar, section C (Select, Unselect, Invert selection).

2) Partial or total selection is chosen by the button in section B. If partial selection is active (button B lighted), fully and partially enclosed objects are included. If not active only completely enclosed objects are included.

3) Selection is made by choosing one of the pointer in section A (point, line, area, skew area) and objects are selected.

All objects can be selected/deselected/invert by tools located in section D.


Select from Data Table

Data table containing a list of objects for certain entity (such as macroelement, contact, reinforcement, external cable, joint spring, line spring and surface spring) is automatically opened when data tree item for such entity is chosen. Data table is located under the graphic window. For example, if we open input of macroelements through Topology | Macroelements, table contains a list of already defined macroelements. Objects can be selected by clicking on the first cell on the line.

Any geometrical object (macroelement, contact, reinforcement, external cables, joint springs, line springs and surface springs) can be subjected to two kinds of selection:

Focus – Pointer is on the item. Item is marked in table by arrow [image] and on screen by a blue contour. Only one item can be under focus at any time. Operation edit, which follows is executed on the object under focus.

Select - Line is filled with blue color, on the screen object is filled by green color. One or more objects can be selected. Operation copy (move, remove), which follows is executed on all selected objects.

Fig. 3‑16 Focus (left) and Select (right).


View Manager

Fig. 3‑17 View manager tool bar

View manager tool, Fig. 3‑17, serves for saving of a view type, direction and size. It makes a record of the method of projection (isometry, perspective), size and position of the object in the graphic window and center of projection (in perspective projection). The operation proceeds as follows:

(a) Desired setting of view is arranged using graphic tools.

(b) The button on the left is pressed to open the New data dialog, Fig. 3‑18, in which name and description of the view is entered. In this way the view is saved within a data structure of this task.

(c) View manager window can be open using the button [image], Fig. 3‑19, in which views can be organized, edited and deleted. In order to save the view for its export to another task, the Save option is used and view data can be stored in a standard windows way. View data are stored with extension *.avs (for ATENA View Settings). Using Read option, the view manager window can import such data stored earlier.

Fig. 3‑18 New view data set.

Fig. 3‑19 View data manager window.

Quick changing of the pre-set views can be done by pressing the black arrows [image], Fig. 3‑17 and locating a desired view from the list of the stored views.


Graphic Tools

Fig. 3‑20 Graphic tool bar

Graphic tools are supporting the functions of the graphical appearance of the graphic window. The functionality of most tools is obvious. However, we shall mention some, which are especially useful.


Fit to Window

After making series of graphic transformations (zoom, move, rotate, etc.) the view can be confusing, or the picture can be lost. In such a case the tool ‘fit to window’ [image] can be applied in order to see complete structure. Entire model can be viewed.


View in Principal Direction

A default view direction is made by [image]. View direction parallel with coordinate axis can be made by the tools [image].


Rotate View

Adjustment of the view direction can be made by the button [image]. You press the left mouse button and move pointer in desired direction while holding the left button. As a result the object rotates in the indicated direction. After releasing the left button the view stays in a new position.

The rotation axis depend on the coordinate system orientation, i.e. if you need to rotate the view in another way, you can change the “up” direction in the Options | Settings | Coordinate system orientation menu (see Fig. 3‑11 in section 5.3.5).


Light

The light direction is defined with respect to viewer position. This means, for example, if positions of viewer and light are identical and you rotate the object, you always light the surface facing to viewer and shades on the surface change while rotating. To change the light direction press the button light, which opens the light position window, Fig. 3‑21, and moves the light.

Fig. 3‑21 Light position.

Active Data

This section enables to define data to be displayed in graphical window. Thus it is possible to reduce the amount of data needed for efficient display. Two lists of activity are included: Load cases and Activity, Fig. 3‑22.

Fig. 3‑22 Section of Actual data

Load cases must be first defined in the menu Topology | Loading | Load cases (3.7.3). Activities must be first defined in menu General data | Activity (3.7.1.5).


General Data

Input of some general data and parameters with global validity are entered in this menu. Three items of data are included, Fig. 3‑23.

Fig. 3‑23 General data tree


Analysis Information

Global analysis information is valid for entire structure. It includes two items, which can be accessed through the buttons located on the right of the numerical window: Task (Structural information), and Analysis.

Fig. 3‑24 Structural information and units

In Structural parameters description in two levels can be given (Description, Note). Unit system can be chosen. (Note: Version 3 offers only metric unit system, m, MN, MPa.)

Fig. 3‑25 Analysis parameters

In Analysis parameters solver type for linear equations and geometrical nonlinearity can be defined. Two types of equation solution are available (for details, see the Theory Manual):

Standard - direct solution based on Gauss elimination and skyline data structure.

Sparse-iterative - based on conjugate gradient iterative solution of sparse data structure. The ICCG and DCG solvers differ in preconditioning. The Incomplete Cholesky (ICCG) is more expensive in both memory and CPU time per iteration, but usually needs fewer iterations (and therefore less total time) compared to the diagonally preconditioned solution (DCG).

When geometrical non-linearity is checked the element stiffness formulation includes geometrically nonlinear terms in strain-displacement transformation.


Materials

Materials can be defined in the numerical window, Fig. 3‑26, which can be accessed from the data tree item General data | Materials. It contains a list of already defined materials, their names, types and actual usage.

Fig. 3‑26 Window for materials

Adding new material is done by pressing the button [image] and selection one of the methods of material input: direct definition, load from file, select from catalogue, .

Fig. 3‑27 Material definition method.


Direct Definition

In direct definition, a material type can be selected from the list of available models. A set of default parameters is automatically generated. As an example a fracture-plastic material 3D Nonlinear Cementitious 2 is chosen. This material is recommended for concrete. Cube strength must be entered in the next dialog window, Fig. 3‑28.

Fig. 3‑28 Cube strength definition for generation of default parameters.

After pressing button [image] a set of generated parameters appears in the next window, Fig. 3‑29. This set of parameters is generated based on codes and recommendations. It is recommended to use this set unless there are rational and convincing arguments for their changes. However, any parameter can be changed by editing the contents of its numerical field. For details on material models see the Theory Manual.

Fig. 3‑29 Default parameters generated for material 3D Nonlinear Cementitious 2.


Load From File

Material can be also loaded from a file using a standard windows method. Such material must be previously stored using the Save command. The file extension of material data is *.ccb. During Load command execution the program identifies the material type and inserts data into ATENA. This option is useful when the same material data should be used in different tasks.


Select from Catalogue

Material data according to standards are included in the material catalogue. In current ATENA 3D version 3 only data for concrete according to Eurocode 2 are provided. A concrete material can be selected from the catalogue according to its class.


User Material

User material allows a user definition of some material laws. The user material in ATENA is based on the material 3DNonLinearCementitious2 and user can define its own functions for certain laws within this material.

(The user definition is restricted to functions available in ATENA. Thus, user cannot define a material based on theories not covered by ATENA. However, he can change functions, such as crack-opening law, or stress-strain law.)

Example of user material is shown in Fig. 3‑30. In this menu a function of stress-strain relation for concrete in tension can be specified by user. An input dialog is opened by clicking on the button [image] as shown in Fig. 3‑31. The user functions are defined as multilinear functions of the type y=F(x). They are specified by arrays of points and between the points a linear interpolation is assumed. The points must be entered by user.

Note that in this case the crack opening is defined by means of strain and characteristic length. This is formally different from a stress-crack opening law, but theoretical background is identical. For details see the Theory Manual. Similar user definitions are available for material functions of compression, shear and tension-compression.

Fig. 3‑30 User-defined material.

Fig. 3‑31 Dialog window for user-defined function.

In user material there are two additional parameters to be defined. They are needed for complete definition of localization of strains in general stress-strain law. The set of parameters in tension:

- Characteristic length in tension. This is a reference length used to calculate strains in experiment. It can be a base of strain measurement.

- Localized strain. This is the strain limit at which softening and localization starts.

Similarly, in compression:

- Characteristic length in compression. This is a reference length used to calculate strains in experiment. It can be a base of strain measurement.

- Localized strain. This is the strain limit at which softening and localization starts.

Parameters of user material in shear (shear retention factor) describing shear degradation in cracked concrete are the same as for tension, [image] and [image] , because according to the model used, shear stiffness is dependent on crack opening.

The second parameter [image] , [image] marks the border between diffused and localized damage. The above parameters are defined in order to enable hardening/softening materials. The formulation assumes that hardening range is first and is followed by softening range. For more details see the ATENA Theory Manual.


Variable Material

In Variable material certain parameters can change between load steps. Thus if the load step scale represents time (or other independent variable) material properties can change as a function of time (or other independent variable). Variable material is based on the material 3DNonLinearCementitious2. The function of parameter has the form y=F(step), where step is the load step and F is piecewise linear function. The function is defined by user in a dialog window, Fig. 3‑32, Fig. 3‑33.

Fig. 3‑32 Variable material.

Fig. 3‑33 Input of function in variable material


ATENA Material Library

Material models available in ATENA are listed in the following table.

Material Type | Description | Material
3D Elastic isotropic | Linear elastic isotropic. | Any
1D Elastic Isotropic | Linear elastic material for 1D-reinforcement. | Reinforcement
3D Non Linear Cementitious 2 | Same as above but fully incremental both in tension and compression. Recommended model for 2D and 3D concrete. | Concrete
3D Variable Non Linear Cem. | Same as above but certain material parameters can vary during analysis. | Concrete
3D Non Linear Cem. User | Same as 3D Nonlinear Cem. 2, but the user can specify stress-strain relationships in tension, compression, shear and tension-compression interaction | Concrete, Fiber reinforced concrete
Microplane4 Material | Bazant Microplane M4 | Concrete
3D Drucker-Prager Plasticity | Drucker-Prager plasticity. | Soil, Rock
3D Interface | Iterface, cohesive, dry friction, gap. | Contact
Reinforcement | 1D non-linear, bi-linear, multi-linear. | Steel
Cyclic Reinforcement | 1D Cyclic, Menegotto-Pinto. | Steel
Bond for Reinforcement | Bond-slip relation. | Reinforcement
3D Bilinear Steel Von Mises | Von Mises plasticity. | Steel
Spring | 1D linear, multi-linear, | Support


Activity

Activity option enables to select only some objects for display. This makes possible to inspect only detail parts of the structure, without interference with other data. After selecting Activity item from the main tree a generation of new activity is started by clicking on button [image], right bottom next to numerical window. The new activity window offers a list of all geometrical objects, Fig. 3‑34. Example of an activity including two macroelements of concrete cantilever is shown in Fig. 3‑35.

Fig. 3‑34 Definition of activity. All object active.

Fig. 3‑35 Activity with two concrete macroelements only.


Construction Cases

Construction cases define a set of geometrical objects, which should be included in analysis steps. This makes possible to change structure during analysis and simulate construction process. Construction cases can be organized with help of the block of buttons located in the right bottom corner, next to numerical window, Fig. 3‑36.

Fig. 3‑36 Buttons of Construction cases. Dialog for new construction case.

By clicking on the Add button a dialog window shown in Fig. 3‑36 appears. Only the name of the construction case is defined. This case will be assigned to appropriate objects in their properties as will be shown later. Meaning of the other buttons is obvious.


Macroelements

Macroelements define geometry of solid objects. The input can be accessed from the tree as shown in Fig. 3‑37. This tree has two sections for data manipulation:

  • Individual - one object can be defined, edited or removed. This function serves to input, editing and removing of a macroelement.
  • Selected - a group of selected objects can be manipulated. Function of remove, copy and move one or more macroelements can be performed.

Fig. 3‑37 Macroelement tree.

The same access structure is provided in other geometrical objects (Contacts, reinforcement, etc.).

To start a new macroelement the item [image] is clicked in the tree and a window for a new macroelement is opened, Fig. 3‑38. Following restrictions apply to solid objects generated in this window:

Rounded Rectangular Callout: enter object parameters Rounded Rectangular Callout: data tree Rounded Rectangular Callout: information, hint

Fig. 3‑38 Input window for macroelements.

(a) Geometrical form can be one of the four types: prism, multi-sided column multi-sided pyramid (quasi-cone) and extruded form. See Fig. 3‑39.

(b) The surface of object must consist of planar faces only.

(c) Openings can be generated in these objects.

Prism multi-sided column multi-sided pyramid extruded object

Fig. 3‑39 Examples of some geometrical forms generated by ATENA.


Generating Macroelements

Macroelements are generated in the following sequence of steps:

1) Topology (geometry) is entered including openings if any.

2) Properties are entered (materials, construction cases).

3) Generated macroelement is added to data by clicking the button [image] located at the bottom of the “New macroelement” window, see Fig. 3‑38. The new macroelement is added to the list in the table.

4) Existing macroelements can be edited or removed by selecting desired lines in the table followed by a click on the buttons [image] or [image], respectively.


Topology

(a) General information

Access to data generation is controlled from the data tree, Fig. 3‑38. In this tree the item Entities makes possible to generate basic geometrical objects, which support generation of macroelements. Item Generation leads to generation of macroelement objects. Generation of macroelement topology is made in following steps:

1) In data tree click the item Generation | Objects. This opens the “New macroelement” window.

2) Geometrical parameters are entered in the section New object through dialog fields marked in blue. Input dialog is started by clicking on the blue text, where a type of object can be selected from a list. Reference point coordinates and object dimensions can be entered. After entering a value into a numerical window [image] the check button (right from the number) must be clicked in order to confirm the value. The graphic window shows a form to be generated depicted by dashed lines and lightly transparent surfaces. The data in blue fields can be defined in any order, or changed repeatedly.

Note: The entry must be confirmed by clicking the check box. Failing to check causes that input is ignored and a previous value is maintained!

3) When the geometrical form is acceptable it should be generated by clicking the button [image]. Generated object changes its view to a non-transparent surface. Generated object can be changed by changing its parameters in blue fields before it is added to other data. Later the same dialog can be accessed using the function [image] applied to selected item form macroelement list.

In version 3.0.0 only global coordinate system is possible for macroelement topology.

(b) Generate prism

Select multi-sided column/beam from the list. In version 3.0.0 only global coordinate system is possible. Coordinates of the reference point are entered. They define the position of a corner of the prism. Three dimensions of the prisms are defined as Vx, Vy, Vz. This completes a definition of the prism.

(c) Generate multi-sided column

Select multi-sided column from the list. The reference point is in the center of the bottom surface of the column object. Enter coordinates of the reference point. Enter remaining parameters of the object: radius of the base, height and number of the faces.

(d) Generate multi-sided pyramid

Select multi-sided pyramid from the list. The reference point is in the center of the bottom surface of the column object. Enter coordinates of the reference point. Enter remaining parameters of the object: radius of the base, radius of the top face, height and number of the faces.

(e) Generate opening

Opening can be made in any existing macroelement. It is created in two steps:

1) Find a surface where you want to make an opening. Define a working plane identical with the plane of surface. This is done in the working plane tool bar :

where you can select working plane orientation and its offset. By clicking [image] a window for working plane setting can be opened, Fig. 3‑40.

Fig. 3‑40 Working plane window.

2) Using the working plane generate the contour of opening. This can be generated in several ways:

(a) Defining joints (item Entities | Joints) and connecting them with lines (item Entities | Lines).

(b) Define opening contour using item Generate | Line sequence. This opens an access to parameter input for a line sequence approximating a circular form.

(c) Combination of the above.

3) Define opening. This can be accessed from data tree by clicking the item Entities | Opening | Add. First select by mouse the surface, where you want to make an opening. Then click on the lines forming the opening contour. This completes the definition of opening in the surface.

4) Extrude the opening within the object. This can be accessed from data tree item Generation | Extrusion, which opens an access to extrusion parameters. Select desired opening from the list, which unfolds after clicking on the blue text and enter extrusion parameters as shown below:

Sequence of the opening generation is shown on the example in Fig. 3‑41.

macroelement line contour final object with opening

Fig. 3‑41 Generation of opening


Opening through the Whole Object

To create a hole through the entire object, please follow these steps:

1. Extrude the opening exactly to the opposite surface.

2. There will stay an extra surface on the second surface. Delete it.

3. Create a new opening from the lines left in the second surface. You have to select all lines one by one (i.e., the automatic selection of all lines forming a closed line when you click the first one will not work).


Copy, Move

Copy is a useful tool to speed-up generation of a series of similar objects. It will be demonstrated on the macroelement object. The same procedure is used in reinforcement and external cable objects.

First, an object - macroelement to be copied must be generated with all properties. Then, using a copy command, it can be repeatedly inserted in the model. Example is show below.

Fig. 3‑42 Example of “Copy and shift” command for macroelement.

The steps involved in copy commands can be demonstrated on the example as follows:

1) A macroelement is generated.

2) A macroelement to be copied is selected from data list by clicking on its row, or using [image] by mouse, select pointer type from bar [image] and click on the relevant bar object on the screen. Selected object is indicated by green color as shown in Fig. 3‑42. A group of objects can be selected.

3) A tool for copy is activated in the data tree item Topology | Macroelements | Selected | Copy. This opens a dialog window “Copy selected macroelements” as shown in Fig. 3‑42, where parameters of copy can be set. Finally, button [image] is clicked and all copied objects are generated. In the process of copy and move the objects are changing appearance according to the stage of copy process: When defining copy parameters in blue fields the copied objects are depicted by transparent surfaces and dashed line contour. After they are inserted in the model the copied objects are depicted by solid surfaces and line contour.

Parameters of copy and move are entered in text strings marked in blue. The number and contents of blue fields changes with the type of command. After clicking on a blue text a list unfolds, or a numerical window opens and desired parameter value can be entered. Options of copy and move:

Copy – shift. “shift” causes a shift of object in given direction. Other parameters:

Direction – allows to select a global direction X, Y, Z of shift.

Value – defines increment of shift per copy in given direction.

Number of copies – to be generated.

Loading – indicates if loading of object should be included in copy. Only loadings specified beforehand are copied.

Springs – indicates if spring associated with object should be copied. Only springs specified beforehand are copied.

Fig. 3‑43 Example of “Copy and rotate” command for macroelement.

Copy – rotation. “rotation” causes a copy of object in rotated position. Other parameters:

Around axis – specifies rotation around axis (one of X,Y,Z), which is shifted to a position defined by coordinates in a plane normal to that axis.

Shifted to – defines position of axis in the plane normal to this axis. Position is specified by two coordinates in this plane (one of YZ, X,Z, XY).

Rotation angle – defines angle of rotation per copy in degrees.

(Rest of parameters is the same as in shift.)

In the example shown in Fig. 3‑43 the original macroelement (green) is copied and rotated at 90o around vertical axis Z located at the corner of element (X=0, Y=0,4). Its final position is such that it connects with the original macroelement.

Copy – mirror. “mirror” enables to copy object into mirrored position. Other parameters:

Based on plane – defines a plane (one of XY, XZ, YZ planes), which serves as the symmetry axis of the mirrored objects.

Shifted to – defines the position of mirroring plane on the axis normal to that plane.

(Rest of parameters is the same as in shift.)

In the example shown in Fig. 3‑44 the original macroelement (green) is copied and mirrored with respect to plane XZ located at Y=0. Its final position is such that it connects with the original macroelement.

Fig. 3‑44 Example of “Copy and mirror” command for macroelement.

Move tool is almost identical with copy, except that it moves the object and does not make copies. Therefore, its detail description is not necessary to repeat. It is activated by the data tree item Topology | Macroelements | Selected | Move. This opens a dialog window “Move selected macroelements”.


Properties

By clicking the tab Properties, in the top left of the new macroelement window, properties of the object can be entered/edited, Fig. 3‑45.

Rounded Rectangular Callout: add smeared reinforcement layer Rounded Rectangular Callout: initiate smeared reinforcement input

Fig. 3‑45 Input of macroelement properties.

Material of the macroelement is specified in the field “Basic material”. The list of available materials unfolds after clicking on the arrow [image] and desired material can be selected from this list. Such material must be fist defined in Materials (see 3.7.1.2). In case of reinforced concrete the basic material is concrete. If no smeared reinforcement material is defined only basic material is considered in this macroelement.

Smeared reinforcement to be included in the macroelement can be defined in the section Smeared reinforcement. To initiate input the button [image] must be clicked in this section and a dialog window opens as shown in Fig. 3‑45. Smeared reinforcement is defined by three parameters:

1) Material. This is reinforcing material common for bars or smeared reinforcement.

2) Amount of reinforcement defined by reinforcing ratio [image] , where As is cross section area of smeared reinforcement and Ac is cross section area of concrete. Units of p are in %.

3) Direction of smeared reinforcement defined by components of a unit vector.

In case of smeared reinforcement a composite material is considered consisting of a basic material and any number of smeared reinforcements.

Construction cases are defined in the left section. Macroelement is considered only in those the construction cases, which are checked in boxes. This makes possible to include a construction process in the analysis. All macroelements must be defined first. In order to describe construction process the construction case is assigned as a property of macroelement.


Completing and Changing Macroelement

Generated macroelement can be added to the ATENA model by clicking [image]. After this the macroelement is a part of the structural model. If needed it can be changed using the [image]. In edit mode most parameters can be changed. However, some properties, which are the result of complex functions, cannot be easily changed. For example, a line sequence, which approximates a circle was generated with the aid of item Generate | line sequence. After adding lines originally approximation a circle to a macroelement, the parameters of circle (center, radius) are not available any more. Only joints and lines remains and can be edited or removed.


Removing Unwanted Macroelements

Unwanted macroelement objects can be added to the model incidentally, by repeatedly clicking on Add button of New macroelements menu. This causes that two or more identical macroelements occupy the same space. This can be observed from the list of macroelement (if we know exactly how many macroelements we have generated) and also by contacts, which appear on all surfaces of a macroelements. In such case not needed macroelements should be removed from the list.


Shell Macroelements

Shell is a special case of 3D solid, which has one dimension (thickness) very small compared to other two. In shell we assume that cross section remains planar after deformation. This causes that strain distribution through the thickness is linear. Furthermore, stress in direction of shell normal is neglected and assumed to be zero. In ATENA shells are modeled by a family of Ahmad and IsoShell finite elements. These elements are reduced from a quadratic 3D brick element with 20 nodes, Fig. 3‑48. The element has 9 integration points in shell plane and layers in direction normal to its plane. The total number of integration points is 9x(number of layers). Important feature of shell element is, that its local Z axis must be perpendicular to the top surface of shell plane. The top surface is the surface on which the positive Z-axis points out of the shell. The other two axis, X and Y, must be in the shell plane. Such orientation must be ensured by user.

In each shell node there are 3 displacement degrees of freedom and corresponding nodal forces. However, some DOFs are not free due to introduction of kinematic constrains ensuring shell displacement model. For more details see Theory Manual.

As a result of definition, this shell element has no moments and rotations as global variables. On the global level it appears as a quadratic high order brick element. However, inside it has a layered shell formulation. The shell elements can be combined with other 3D elements in one finite element structure.

Fig. 3‑46 Shell macroelement. Local coordinate system orientation.

Fig. 3‑47 Local coordinate system orientation. Azimuth, zenith.

Rounded Rectangular Callout: layered integration points Rounded Rectangular Callout: nodal points with 3 displacement DOFs

Fig. 3‑48 Shell element.

Fig. 3‑49 Shell macroelement type.

Fig. 3‑50 Layers of shell element.

Fig. 3‑51 Layer of reinforcement in shell element.

Fig. 3‑52 Properties of shell macroelement.

Steps to create shell macroelement in pre-processor:

  1. Open menu item Topology | Macroelement | Add.
  2. Generate a prismatic macroelement in the same manner as for 3D solids.
  3. In the window New macroelement tab Topology choose shell/plate Ahmad or shell/plate IsoShell type from the list, see Fig. 3‑48. Three types are available: standard (3D solid), shell/plate Ahmad and shell/plate IsoShell. Make sure that local coordinate axis Z is normal to the shell top surface. In a simplest case the global and local coordinate systems are identical and if the plate is considered in the XY plane this assumption is satisfied. However, if the plate is in other orientation, the local coordinate system musts be rotated to satisfy the shell coordinate system requirements. The local coordinate system is defined by angles Azimuth and Zenith, Fig. 3‑47. This definition can be done in two ways: (1) Direct entry of angles. (2) Using the tool [image]. This opens a dialog window, where surface and orientation can be selected and angles are generated accordingly, see Fig. 3‑46. The selected surface and local axis are shown in the graphical window to check and verify the correct choice. For neighboring volumes, it is important to prevent “orientation jumps”, i.e., to have the local Z point to the same side (Fig. 3‑53, Fig. 3‑54). It is also recommended to set the local X direction such that the in-plane directions are continuous over neighboring elements (which makes postprocessing easier).
  4. In the window New macroelement tab Properties generate:
    1. Shell/Plate layers. Automatic generation of layers requires selecting a material from the list and number of layers. The first layer is the one at the bottom shell surface (lowest local Z coordinate), the last one at the top surface (highest local Z). It is recommended to use about 4-10 layers. Note that appropriate shell properties can be accessed only if shell type is defined in Topology tab.
    2. Reinforcement layers are defined in the right section using [image].
  5. In menu FE mesh | Macroelement | Add and select Brick element type in FE mesh menu, see 3.7.4.
  6. In menu FE mesh | Generation select Quadratic element.

Text Box: ¯ Zloc Text Box: ¯ Zloc Text Box: ¯ Zloc (a)

Text Box: Zlocal Text Box: Zlocal Text Box: Zlocal (b)

Text Box: ® Zloc Text Box: ¬ Zloc Text Box: ¯ Zloc Text Box: Zloc (c) [image] (d)

Fig. 3‑53: Shell - recommended local Z orientation

Text Box: Zloc Text Box: ¯ Zloc Text Box: ¯ Zloc Text Box: ¬ Zloc Text Box: Zloc (a) [image] (b)

Fig. 3‑54: Shell – problematic local Z orientation with orientation jumps

Example of a structure combining solid and shell elements is shown in Fig. 3‑57. The plate is attached to a girder. Girder is modeled by 3D brick (low order) finite elements and plate by shell elements (quadratic).

Fig. 3‑55 Selecting “Brick” element for shell.

Note to shells: The shell element is a high order element. Due to layers the number of integration point is high (For 10 layers and reinforcement it can have more than 100 integration points.) However, number of shell elements required for the comparable level of approximation of stress is much less then for solid brick elements. This can be demonstrated on example of a plate with dimensions 1x1x0,2 m. This plate can be modeled by one shell element with 10 layers or by linear brick elements of size 0.04m. Both models have 10 integration points in the thickness. Comparison is as follows:

type | elements | nodal points | integration points
Shell, 10 layers | 1 | 20 | 126
Bricks, 5 in thickness | 3125 | 4056 | 25000

It is obvious that smaller number of integration points in shell leads to the reduction of computation time is several orders of magnitude.

In cases, when deflection and crack width should be a result of analysis 4 layers are often sufficient.

Note to tension stiffening: Shell elements are usually much larger then solid elements (brick, tetra). If the size of shell element is more than expected crack spacing (more than about 0,1m) it is suggested to define in concrete crack spacing and tension stiffening as additional parameters. This leads to larger stiffness and smaller crack width and more realistic results.

Fig. 3‑56 FE mesh for shell macroelements. Select element “quadratic”.

Fig. 3‑57 Model consisting of brick and shell elements.

Note: Reinforcing bars can be embedded in shell elements in the same way as in brick elements. Thus, there are two ways of shell reinforcement: (a) by reinforcing layers and (b) by discrete bars. Shell macroelements with reinforcing layers must have (in ATENA version 3) constant thickness. Shell macroelements with variable thickness can be reinforced by discrete bars only.

Recommended shell connections

With Ahmad shell elements, the best way to connect them at an edge is to cut both at 45 degrees, or a different corresponding angle if the thicknesses are not the same, or if connected at other than right angle, see Fig. 3‑58 (a). Another option is to use a volume brick element at the corner, which is the only feasible way when more than two shells are connected, see Fig. 3‑58 (b). Connecting like in Fig. 3‑59 is not recommended, as the master-slave relations induced by the fixed thickness of the shell may cause numerical problems.

With the Iso shell elements, which can also deform in the local Z direction, the easiest and recommended way of connecting is the one from Fig. 3‑59. However, connections from Fig. 3‑58 can also be used.

(a)

(b)

Fig. 3‑58: Shell - recommended connection (a) 2 shells (b) 3 shells

Fig. 3‑59: Shell - recommended connection for Iso, not recommended for Ahmad


Acquire

Generation of macroelements (by command Add) can be supported by function Acquire. This function enables to get various entities into a newly generated macroelement. This concerns joints, lines and surfaces. When acquiring a surface, all entities of lower level, lines and joints, are also acquired. Similarly, when acquiring lines joints are also acquired. Acquire performs a copy of acquired entities into the current macroelement. The important feature of this function is that the coordinates of acquired entities are identical with the original once. A typical application of Acquire is to start a generation of macroelement.

Example of function Acquire is illustrated on the following case of generation of macroelement. In this case 3 macroelements are initially generated. One of the surfaces is selected from existing geometry, as illustrated in Fig. 3‑60 Acquire a surface from existing geometry. This is done in the New macroelement window by selecting function Surfaces | Acquire in the function tree (left of the graphical window) and clicking on the relevant surface in the graphical window. After this a copy of the surface appears in the list of surfaces below the graphical window. Thus the first geometrical entity of new macroelement is generated. Now a prismatic macroelement can be generated by extrusion method. This is initiated by selecting Generation | Extrusion from the function tree. Dialog window for extrusion appears in the bottom window. Values of relevant parameters must be entered through the blue fields. Surface can be selected by clicking on not defined. After selection it changes to surface 1 (or other selected surface). In a similar manner further parameters must be entered: global or local coordinate system, direction of extrusion and length. During this operation the extrusion design is shown in graphical window in violet colour. During this phase parameters of extrusion can be changed until a satisfactory result is achieved. Generation of geometry is confirmed by button Generate. Finally Properties must be defined through the tab on the top and a new macroelement is added to the structure by Add button. The final stage of new macroelement is shown in Fig. 3‑62.

Note: The entry of numerical data in the blue dialog window must be ended by clicking the check box. Failing to check causes that input is ignored and a previous value is maintained!

In a similar way joints or lines can be added to a new macroelement by Acquire.

Fig. 3‑60 Acquire a surface from existing geometry.

Fig. 3‑61 Extrusion of macroelement.

Fig. 3‑62 Final stage. New macroelement is added, with the help of acquiring a surface.


Contacts

Contact planes are automatically generated on border planes between macroelements. In a default case these contacts are rigidly connected. After choosing Contact from the data tree, contact planes are visible in the model, Fig. 3‑63 - left. Among other information, the kind of the contact is displayed: Full - the two surfaces are identical, Partial - partially overlapping surfaces, i.e., a larger and a smaller surface, or even two surfaces of identical dimensions, but offset-positioned.

If needed, contact type can be changed using [image] button in the list, or from the data tree clicking the item Topology | Contact | Individual | Edit. Then an edit window for contact appears, Fig. 3‑63 - right. To change the contact type, select the tab Properties. Three contact types are available: (1) perfect connection, (2) no connection, (3) contact element – GAP. When selecting a contact element, material of contact should be chosen from the list. The list is unfolded by [image]. Obviously, such contact material must be first defined in the data section Materials (see 3.7.1.2).

Fig. 3‑63 Display of contacts – left. Edit contact window - right.

In the Topology tab, see Fig. 3‑64, the connected macroelements’ numbers are displayed, and it is possible to manually set which of the surfaces should act as master (3.7.4). This is useful if the automatic choice of master and slave surfaces does not work as expected. For partial contacts, it is recommended to set the side with rougher mesh (larger finite elements) as master.

Fig. 3‑64 Edit contact topology.


Topology

Reinforcing bars can be generated and manipulated form the data tree item Topology | Reinforcement bars. For an individual bar following operations are possible: enter a bar, edit, remove. For a group of bars following operations are possible: remove, copy and move. Group of bars must be first selected from the list, or using the item Select, followed by mouse selection.

New bar is entered by clicking the item Topology | Reinforcement bars | Individual | Add in the data tree. Example of the window for “New reinforcement bar” is shown in Fig. 3‑65.

Fig. 3‑65 New reinforcing bar window.

Bar is modeled as a sequence of lines connecting the bar geometrical joints. The bar geometry can be generated by one of the following methods:

1) Entering numerical data of joint coordinates and line segments. Numerical values of joint coordinates can be entered in the dialog window “New points”, which can be opened using the button [image] next to the object list. In this case the joints can, but need not to be positioned in the working plane.

2) Drawing a polyline on a working plane. First, a working plane must be defined (as shown previously in Fig. 3‑40). Two types of line groups can be generated: (a) Polyline. A continuous set of lines can be generated by mouse; (b) Arc and circle. In the later the set of lines approximates a circle. Here, first the arc/circle must be selected in the blue field. The object can be generated either by mouse or by numerical input. Parameters of arc or circle can be defined optionally: (a) in the dialog window using the blue fields; (b) by mouse. Drawing by mouse on working plane is only possible, when a drawing plane is well defined and visible. If so a drawing pointer for polyline [image] or for arc [image] appears on the screen. If mouse pointer shows [image], then drawing plane is not visible (it is parallel with view direction) and drawing cannot be done. To improve this situation, parameters of drawing plane and view must be changed. The number (or letter) on the arc pointer indicates the point or parameters to be entered.

3) Combination of the above methods. Example of a bar, Fig. 3‑67, shown in the XZ plane (−Y projection) consisting of three segments, where straight segments are made by Polyline and the middle circular segment by Line sequence. 3 divisions by 30o are made.

Fig. 3‑66 Generating a bar by joints and line segment.

Fig. 3‑67 Example of bar drawn by mouse in working plane with Polyline and Line sequence.


Properties

A window for properties of reinforcing bar is opened by clicking on the tab Properties, Fig. 2‑1. Material can be selected from a list, which unfolds after clicking on [image]. Cross section area can be either directly entered or calculated with the help of a window, Fig. 3‑70, which appears after clicking on [image].

Fig. 3‑68 Bar properties.

Fig. 3‑69 Properties of reinforcing bar.

Fig. 3‑70 Calculate cross section area of bar.

In normal cases we use a perfect connection between bar and concrete. If bond behavior is an important factor, “bond model” is used instead. When bond model is selected, additional parameters related to bond can be entered (bond material, circumference, fixed end slip). The bar circumference is calculated automatically at the time of area calculation, Fig. 3‑70. If “No slip...” box is checked, the slip is prevented at this point. This provision is needed whenever the bar end should not slip. This situation is, for example, when bar is passing through a boundary simulating axis of symmetry, or when it is fixed to an anchor. For details on bond models, see the Theory Manual.


Edit, Delete, Copy, Move Bars

The Edit function allows changing the properties of multiple reinforcement bars at one time. This is especially useful if e.g. the diameter or bond model of a whole bar group needs to be changed. Select all bars to be changed (3.4.1) and click on the Topology | Reinforcement bars | Selected | Edit and then modify the values in the properties dialog (3.7.2.4.2).

Copy is a useful tool to speed-up reinforcement generation. First, a bar to be copied must be generated with all properties. Then, using the copy command, it can be repeatedly inserted in the model. Copy and move (with shift, rotate and mirror) are done in the same way as in macroelements and thus need not to be described again. An example of stirrup generation using copy tool is shown in Fig. 3‑71. In this example longitudinal bars and one stirrup are generated first, using the access from data tree Topology | Reinforcement bars | Individual | Add, see Fig. 3‑71 left. Then the stirrup is selected and using the tool copy and shift rest of the stirrups are generated, see Fig. 3‑71 right.

Fig. 3‑71 Stirrup generation by Copy.

Fig. 3‑72 Copy and rotate selected bar.

Example of bar generation in rotated position using the copy and rotate is shown in Fig. 3‑72.

Move tool can be used to change a position of a bar. Its functions are similar to copy except that it does not leave the original object in place, but moves it to a new position. Similarly, the Remove tool can be used to delete multiple bars at once.


External Cables

A significant feature of external cables is that they are connected with the structure only through deviators. Deviators are located in the intermediate joints, between the end joints of the cable. End joints represent anchors. Active anchor is the one, in which the prestressing is introduced. Between the joints cable is free and does not interact with concrete. External cables are generated in a manner almost identical with bars. Access to external cables is from data tree Topology | External cables | Individual | Add. They can be generated by joints and lines between them, or by polyline. Example of a cable topology input is shown in Fig. 3‑73.

Rounded Rectangular Callout: active anchor Rounded Rectangular Callout: deviator anchor Rounded Rectangular Callout: passive anchor

Fig. 3‑73 Example of external cable topology.

Fig. 3‑74 External cable properties.

Properties of cable and deviators are entered in Properties window, Fig. 3‑74. Material of the cable is selected from the list. Material definition for the cable must be done beforehand in the data tree item General data | Materials. It is the same type of material as for reinforcement. Area specifies the total cross section area of the cable. In case of a strand composed of number of wires, the area is a total area of all wires. Deviator parameters serve to calculate prestressing loss due to friction in deviators. Cohesion is a force/m needed to move the cable. Radius is the radius of deviator device. Position of active anchor has an effect on distribution of prestressing loss due to friction in deviators.

Copy and move (with shift, rotate and mirror) of external cables are done in the same way as in macroelements and thus need not to be described again.


Joint Springs

Discrete springs can be placed in geometrical joints through data tree item Topology | Joint springs | Individual | Add. After this a window for a prototype of spring properties opens, Fig. 3‑75. In this window dimensions of spring and direction are specified in the tab Topology and material properties are entered in the tab Properties”, where a material (defined beforehand) can be selected from a list. After confirming a spring prototype, springs can be generated by clicking on desired joints. Springs are depicted by spring marks, which show spring direction, Fig. 3‑76.

Fig. 3‑75 Input of joint spring properties.

Fig. 3‑76 Example of joint springs.

An alternative entry is from the table, using button [image], which opens a window for New spring, which is identical with the prototype window. Single springs can be changed (deleted) using the data tree item Topology | Joint springs | Individual | Edit (Remove) and mouse pointer. The same can be done by selecting a spring from the object list and using the buttons right from the table.

A group of springs can be removed using the item Topology | Joint springs | Selected | Remove.

Spring directions are limited to the directions aligned with three coordinate axis.

Note: Spring elements are uniaxial bars, connected with joints on one end and rigidly supported on the other end. However, only the spring force acting on joint, where spring is attached, is shown. The force in the spring’s other end, which is the same, need not to be shown.


Line and Surface Springs

Generating line and surface springs is similar to the joint spring. Differences are in dimensions. Line spring can be considered as a strip of spring material distributed along line. Parameter thickness represents a width of such strip. A cross section area of single spring associated with a node is calculated from the strip width and node distances.

Cross section areas of springs generated on surface and associated with surface nodes are calculated automatically from the mesh geometry. Therefore, there is no need to define a spring cross section area.) Examples of line and surface springs are shown in Fig. 3‑77.

Fig. 3‑77 Line and surface springs.

Surface springs are distributed in all nodes of the surface. For clarity, the surface provided with springs is depicted with spring marks on the contour only.


Example How to Define Surface Spring Properties

Example to define a surface spring with 5kN/m2 response at 15mm displacement:

1. set the spring length to 1m, then 15mm displacement corresponds to relative displacement (elangation/shortening) 0.015

2. set the spring material stiffness to

( [image] )


Loading

This menu item provides an access to definition of loading. Loading is imposed on geometry generated in Topology. First, load cases must be defined. Following types of load cases are possible, each must be in a separate load case:

1. Body forces.

2. Forces.

3. Supports.

4. Prescribed deformations.

5. Temperature.

6. Shrinkage.

7. Pre-stressing.

Access to definition of load cases is from the data tree item Loading | Load cases. Input window of a new load case is opened by [image] located next to the table of the list of load cases at bottom, right. In the “New load case” window, Fig. 3‑78, a title of load case can be written in the top field. Type of load case can be selected from a list, which unfolds after clicking on [image].

Fig. 3‑78 New load case input window.

Multiplier of all actions defined within the load case is entered in the field Multiplier. In case of body forces a direction must be specified with the help of vector components. Default direction is –Z.

Fig. 3‑79 Example of load case table.

In order to initiate loading input an applicable load case must be selected in the menu Actual | Load case. A list unfolds after clicking [image], Fig. 3‑80.

Fig. 3‑80 Load case list, unfolded.

Loading can be applied to various geometrical objects and can be accessed data tree shown in Fig. 3‑81. Each type of loading has only some entities available. For example temperature loading can be applied only to macroelements. The available entities (joints, lines, etc.) are highlighted. Dimmed items are not available for the current type of loading.

Fig. 3‑81 Loading data tree.

Fig. 3‑82 Dead load.


Body Forces

Body force is a property of material. First, a load case “Body forces” must be generated in Load cases and must be included in the list of load cases. “Body forces” (self weight) can be made active by menu item Loading | Macroelement | Add. Macroelements with active body force must be selected and are listed in the table.


Joint Loading

Joint loading can be opened by selecting menu item Loading | Joints. Following load types can be applied to joints: forces, supports, prescribed displacements.

Input by mouse is started by clicking on the item Loading | Joints | Add in the data tree. This opens a prototype window, whose contents depend on the load type. Parameters of the joint loading are entered and confirmed by [image]. The specified loading can be repeatedly applied by clicking on desired joints.

Numerical input can be started by clicking on the button [image] located right from the data table. This opens a “New joint load” window, where location of joint and parameters of loading can be entered.

Location of joint is identified by macroelement number and joint number, which must be entered numerically in the field Topological entity. (This information can be found in Macroelements | Edit and clicking on the desired macroelement.)

Inputs of load intensity and direction are entered in the section Force loading. Direction of force can be selected either aligned with the coordinate axis, or other, using a direction vector. Example of joint forces is shown in Fig. 3‑83, where one force acts in direction –Z and the other is in a direction not aligned with the coordinate axis. List of all loading forces is shown in the table.

Changing and removing of joint forces can be done ether by mouse from the data tree item Loading | Joints | Edit followed by a click on the load to be changed, or by click on the button [image] next to data table. Both methods led to opening of input window, where desired changes can be made.

Similarly, removing joint forces can be done by two methods, by mouse from the data tree item Loading | Joints | Remove or from the data table.

Fig. 3‑83 New force joint loading.

Fig. 3‑84 Examples of line and surface force loadings.


Line and Surface Loading

Input of line and surface force loadings is done in the same way as above described joint forces. Data tree access is Loading | Lines or Loading | Surfaces. The only difference is in units of loading, which is on lines in MN/m and on surface in MN/m2. Examples are shown in Fig. 3‑84.


Macroelement Loading

Only temperature and shrinkage effects can be prescribed to macroelements. Data tree access is Loading | Macroelements. Distribution of temperature or shrinkage in macroelement is considered constant. Shrinkage (decrease of volume) is prescribed by a strain with negative value. Swelling is prescribed by a strain with positive value. Examples of input windows are shown in Fig. 3‑84.

Fig. 3‑85 Input windows for temperature and shrinkage actions.


Reinforcement Loading

Loading applied to reinforcement can be only pre-stressing. It is accessed from data tree item Loading | Reinforcement. Input by mouse is started by the data tree item Loading | Reinforcement | Add. This opens an input window for the pre-stressing force. Example is shown in Fig. 3‑86.

Fig. 3‑86 Loading of reinforcement. Pre-stressing force is entered in prototype window.

Pre-stressing force is indicated in the starting joint of the reinforcement (Joint no. 1 in the list of joints in reinforcing bar topology, see Topology | Reinforcement bars | Edit). Position of the starting point has no effect on distribution of initial stress in reinforcement, because pre-stressing is introduced by means of initial strains (in case of normal reinforcement) and can be considered as pre-tensioning.


External Cables Loading

Loading applied to external cables can be only pre-stressing. It is accessed from data tree item Loading | External cable. Input by mouse is started by the data tree item Loading | External cable | Add. This opens an input window for pre-stressing force. Example is shown in Fig. 3‑87.

Fig. 3‑87 Loading of external cable. Pre-stressing force is entered in prototype window.

Pre-stressing force is indicated in the starting joint of the reinforcement (Joint no. 1 in the list of joints in external cable topology, see Topology | External cable | Edit). In case of external cables the position of active anchor has effect on distribution of stress in reinforcement, because pre-stressing is introduced by force acting in the active anchor and can be reduced by friction effect in deviators. This pre-stressing method can be considered as a post-tensioning.


FE Mesh

FE mesh tool serves to define parameters for generation of finite element mesh. Based on these parameters automatic mesh generator generates meshes and data of finite element model. In case of reinforced concrete, when model includes also bar elements, the mesh generation is performed in two phases. First, a mesh of solid 3D elements is produced within the pre-processor. In the pre-processor the bars are still maintained as geometrical objects without mesh. When the control is passed to analysis (Program module Run) the bar finite elements are generated as embedded elements within existing mesh of 3D solid elements. Thus, user cannot effect the meshing of bars, since it is governed by mesh of solid elements. Therefore, the description in this section concerns the meshing of 3D solid elements only.

Following rules holds for mesh generation of 3D solid elements:

1. Element types: tetrahedron, brick, pyramid.

2. Brick meshes are possible only for prismatic macroelements. Any irregularity, such as opening, line or joint on surface, refinement, can prevent brick meshing. Tetrahedron and mixed meshes are more flexible and possible for most geometries.

3. Meshes can be generated separately for selected macroelements. Each macroelement has a complete and unique mesh consisting of finite elements, nodal points and degrees of freedom.

4. On contact surfaces two meshes exist, each belonging one macroelement. These meshes need not to coincide. They are connected by method of “Master-Slave”, in which “Slave” degree of freedom (DOF) is kinematically dependent on “Master” DOF. Alternatively there may be contact elements between these meshes, which allow relative displacement of interface meshes to model slip.

5. Rules for “Master” nodes on contacts: Meshes on overlapping area of contact surface, are compared. The surface with smaller number of nodes on the same area size is the master surface, with master nodes. Master nodes are free. Slave nodes are kinematically dependent on master nodes. In the example on Fig. 3‑88 the master nodes in surface 1. If the automatic selection does not work as expected, it can be overridden manually in the Topology tab in Topology | Contact | Individual | Edit (3.7.2.3).

A list of sub-items in FE mesh menu is shown in Fig. 3‑89.

Fig. 3‑88 Master nodes on contact.

Fig. 3‑89 Data tree for FE meshing.

Fig. 3‑90 FE mesh generation.


Generation of FE Mesh

Data tree item FE mesh | Generate opens an access to parameter input for mesh generation, Fig. 3‑90. Global element size can be entered after click on [image], which opens a dialog window for its input. When confirmed its value appears in the filed next to Global element size. Table shows a list of macroelement groups. In the second column the groups, where mesh should be generated, should be checked. Type of shape function can be defined in the 5th column “Elements”. Type “linear” holds for low order isoparametric elements (linear interpolation). Type “quadratic” holds for high order isoparametric elements (with quadratic interpolation). 6th column shows the list of macroelements in the group. Mesh is generated by the button [image]. Mesh can be displayed either as wire model, or on the surface, Fig. 3‑91.

Fig. 3‑91 View of the mesh: wire and surface.

If not specified a default mesh is generated with tetrahedrons with the global mesh size in all macroelements. However, variety of mesh refinements can be achieved using the refinement tools. The rule is that global element size is the greatest size. Refined mesh has always smaller elements compared to global element size.

There are two refinement types:

3) Relative size. This is a ratio of refined size to global size. Relative size must be less than 1.

4) Absolute size gives an element size of refined macroelement (joint, line, surface). This size must be smaller than global size.


Mesh Refinement

Refinement can be done near, or at of other geometrical objects (lines, surfaces, macroelements). Refinement near joint is open from the data tree item FE mesh | Joint as shown in Fig. 3‑92.

Fig. 3‑92 Input of mesh refinement at joint.

To define joint refinement by mouse select the data tree item FE mesh | Joint | Add. This opens prototype input window as shown in Fig. 3‑92. Prototype parameters must be confirmed with [image]. By clicking with mouse pointer on joints their refinement can be defined according to prototype. Joints with refinement are depicted by a violet ball mark.

Same procedure is employed in case of refinement in other entities. Refinement size, relative or absolute, defines the element size on line, surface or macroelement. Examples of refinements are shown in Fig. 3‑93. Of course mesh refinement is also inside of the structure. However, here only the mesh on the surface is shown.

Rounded Rectangular Callout: macroelement refinement Rounded Rectangular Callout: surface refinement Rounded Rectangular Callout: line refinement

Fig. 3‑93 Refinement of line, surface, macroelement.

The above example also shows the limitations of brick elements. Refinement with brick elements is possible only for macroelement (not for joints, lines and surface). For other refinements tetra or brick-tetra meshes must be used.


Contact Compatibility

Compatibility of meshes on contact planes between neighboring macroelements can be enforced by the data tree item FE mesh | Contacts. Using a mouse pointer after clicking on data tree item FE mesh | Contacts | Add, then click on a desired contact plane, results in a request given to mesh generator to ensure mesh compatibility on this contact. A list of selected contacts appears in the data table. Example of selected contact and resulting mesh is shown in Fig. 3‑94.

Fig. 3‑94 Enforcing mesh compatibility on contact

Request of contact compatibility may cause that some other prescribed mesh properties shall not be met. For example, if we prescribe different mesh sizes in neighboring macroelements and then mesh compatibility on their contact, this may result in the same mesh size in both macroelements.

linear: 8 nodes, 8 integration points quadratic: 20 nodes, 27 integration points

Fig. 3‑95 Example of brick finite elements: linear and quadratic.


Low and High Order Elements

Meshing in macroelements (see table of mesh parameters in Fig. 3‑90) is done by ATENA mesh generator using the mesh parameters set by user (element type, mesh size, refinement). Type of element shape function can be chosen independently of the basic element geometrical form. Elements can be low order (linear displacement shape function) or high order (quadratic displacement shape function). Linear elements have nodal points in vertexes. Quadratic elements have additional nodes in the middle of element sides. Examples of brick linear and quadratic elements are shown in Fig. 3‑95. Choice of the element shape function is made in the mesh table, column “Elements”, by unfolding the list in each group by [image] and selecting linear/quadratic type, see Fig. 3‑90. For detailed description of the available element types, see the Theory Manual.

Note: It should be realized that using quadratic elements reduces error of finite element approximation on one side, but increases computation time due to increased numbers of nodes and integration points on the other side. Thus the choice of higher order elements should be made only when justified. 3D solid elements can be both, linear and quadratic. Shell element can be only quadratic.


Final Notes on Meshing

The finite element mesh quality has a very important influence on the quality of the analysis results, the speed, and memory requirements. Refining only the important parts can save a lot of processor time and disk space.

A bad mesh, like a single layer of volume elements in a region where bending plays a significant role, can produce very wrong results – see the "Mesh Study" example in the ATENA Engineering Example Manual. A minimum of 4-6 elements per thickness is recommended for at least qualitative results in bending. Alternatively, shell elements may be used (see section 3.7.2.2.7).

Another frequent example of a problematic mesh are elements with extreme aspect ratios, in other words, the ratio of element edge lengths = longest to shortest edge of an element. A maximum of 3:1-4:1 is recommended for volume elements and also for surface elements in 2D models or on membranes. The higher the aspect ratio, the worse the conditioning of the system matrix, which can lead to numerical problems in the solver. For shell elements, it is no problem when the edges in the thickness direction are much shorter than the others, however, for the ratio of the two other directions (i.e., in-plane), the same condition as for normal volume elements should be fulfilled (i.e., up to 3-4:1).


Run

Input of solution parameters can be accessed through the data tree shown in Fig. 3‑96.

Fig. 3‑96 Data tree for Run.


Solution Parameters

This section defines methods and parameters for solution of nonlinear equations. There are two default sets:

1) Standard Newton-Raphson method.

2) Standard arc-length method.

In order to enter user-defined solution parameters data, open the data tree item Run | Solution parameters, and click on [image] button next to data table. This opens a window, in which values of all parameters can be edited. Example in Fig. 3‑97 shows a user-defined set, named “Newton-Raphson 100 iterations”, with some parameters changed from default values: 100 iterations, residual error tolerance 0.001.

Fig. 3‑97 User defined solution parameters.

Details of solution methods and meaning of parameters can be found in the Theory Manual. It is not recommended to change parameters, unless there is an important reason for this and user understands the meaning of changes.

Important note: Solution parameters decide about accuracy of nonlinear solution, namely about error in equilibrium of forces. Thus, a change of default parameter, namely an increase of tolerances, can result in erroneous results.

Default parameters are set for typical structural cases. It is possible, that in some special cases different parameters (more severe) may be required. It is up to user to justify solution parameters and to perform an independent check of results.

There are important features of solution methods, which should be mentioned.

Newton-Raphson method keeps the load increment unchanged and iterates displacements until equilibrium is satisfied within the given tolerance. This means that this method should be used in cases when load values must be exactly met. It should be used in case of following types of loading: body forces, temperature, shrinkage, pre-stressing. However, it should not be used near local and global peaks, followed by load decrease (descending branch) in case of force loading. In other words, it should not be used for analysis of ultimate load, when force loading is prescribed.

Arc length method keeps the solution path constant (in the load-displacement space) and iterates both increments of displacements and forces. Therefore, it changes both, displacements and forces. It is more general then Newton-Raphson method, however, it is not useful for some type of problems, such as those with exactly define intensities (body forces, pre-stressing, shrinkage, temperature). For example in case of body force it would change the self weight.

Both solution methods, Newton-Raphson and Arc length, are enhanced by the line search method (see the Theory Manual).

For both methods, conditional break criteria can be set to stop the computation if an error exceeds the prescribed tolerance (as set in Fig. 3‑97) multiplied by the prescribed factor during the iterations or at the end of an analysis step. Example settings are shown in Fig. 3‑98.

For both methods, the solver for the linear system of equations (which is solved in each iteration) can be selected in the Global solution parameters (3.7.1.1).

Fig. 3‑98 Conditional break criteria.


Analysis Steps

Analysis steps define loading history for solution. Following rules apply to load steps:

1) Load steps are incremental. This means that values of loadings applied in the current step are added to the loading applied in previous load steps. Total loading in a step is a sum of all loading in the entire load history up to, and including this step.

2) Loading need not to be proportional. For example, in one load step a vertical forces are applied and in another step a horizontal forces are applied. Then total load after these steps includes both, vertical and horizontal loading.

3) Loading history is unique. In a non-proportional load history the sequence of loading is important. A change of load sequence may produce different results.

4) Superposition of stress states is not admissible in nonlinear analysis.

Access to input of load steps is from the data tree item Run | Analysis steps. To add load steps click on [image] next to data table. Input window for load steps opens as shown in Fig. 3‑99. In this dialog following data for load step are entered:

1) Load cases are listed in the first field. Load cases are defined by numbers, separated by comma. Continuous array of load cases can be define by first and last number separated by dash. For example load cases 1,2,3,4 can be defined as 1-4.

2) Construction cases appear in the window “Construction case”. It can be selected from the list, which unfolds after clicking on [image].

3) Solution parameters are selected in menu “Sol. Params”. It can be selected from the list, which unfolds after clicking on [image].

4) Analysis step multiplier is applied to the load values defined in load cases. (Note that multiplier is not applicable to some load cases, such as supports.)

5) Number of load cases to be generated is defined in “Number of added load steps”.

6) Load steps can be added by [image], parameters can be changed [image], deleted [image] and inserted between previously defined steps by [image].

Fig. 3‑99 Entering analysis steps.

Defined load steps are listed in the table, where the load history can be inspected or changed.


Monitoring

Monitoring points serve to monitor results of calculation during analysis. Monitoring points have similar meaning as measuring gauges in laboratory experiments. Access is through data tree Run | Monitoring points. Monitors can be added, changed and removed using buttons next to data table.

Rounded Rectangular Callout: monitor of displacement

Fig. 3‑100 Monitoring points.

There are two kinds of monitoring points: (1) in nodes and (2) in integration points. In nodes can be monitored: external forces, reactions and displacements. In integration points can be monitored: stress, strain, temperature, initial stress and strain, body forces, crack attributes.

The locations of monitors are depicted on screen graphically as shown in Fig. 3‑100. Monitored data can be listed in printed output, exported and used for subsequent data processing, graphs, etc.


View

The View section in Fig. 3‑101 controls the choice of entity types to be displayed. Similarly to activity (3.7.1.5) or layers in many CAD programs, checked entity types are displayed, unchecked become invisible. This can be particularly useful if one needs to concentrate on e.g. joints and surfaces, and the view would otherwise be blocked by something else, e.g., by the FE mesh.

Fig. 3‑101 Select entity types to be displayed.


Introduction

Analysis can be started in two ways. First and most typical way is to prepare data in ATENA 3D pre-processor and when ready, to transfer control to the analysis module. This is done by clicking on the button [image] located top right on the window tool bar. This results in closing of the Pre-processor program module and opening the Run module. Data between modules are transferred by the text input file. The second way is to import input file produced by ATENA interface in other programs, such as GiD, FEMAP, or other. After executing command Run, input data for all load steps are transferred to the module Run, which is indicated on the screen by a progress window. When the transfer is finished a window of Run appears as shown Fig. 4‑1.

Rounded Rectangular Callout: progress, output, error messages Rounded Rectangular Callout: monitors Rounded Rectangular Callout: real time graphics of results Rounded Rectangular Callout: monitoring graphs Rounded Rectangular Callout: calculation control Rounded Rectangular Callout: load steps

Fig. 4‑1 Run window – real time monitoring of calculation.

The main function of Run window is to control calculation progress (start, stop or suspend analysis) and to monitor intermediate results. The main functions of Run window and their sections are indicated in Fig. 4‑1 and described in Sections 4.3 (load steps), 4.4 (calculation control), 4.5 (monitoring graphs), 4.6 (real time graphics of results), and 4.7 (progress, output, error messages).


File Help

The items of menu File and Help have the same functions as in pre-processor. For details, see 3.2.1 and 3.2.7.


Settings – Display

This item allows to set the width of 1D elements (bars) for showing isoareas of stress, strains (and others) in the graphical window.


Settings –Settings

Opens a window for setting of some graphical parameters.

View:

Background color: white or black.

Extend of graphic during rotating and panning:

Outline (contour) only,

All objects,

All objects without text.

Graph line thickness in mm.

Output. Define dimensions of bitmap in pixels, which is used in copy or print commands of graphics.


Analysis Steps

Analysis steps defined in pre-processor (see 3.7.5.2) are shown in table. Column “State of analysis” shows if the step was analyzed and saved.

In the column “Perform analysis” it is possible to cancel analysis for a step using a check box. In such case all following steps are also cancelled for analysis.

In the column “Save data” it is possible to save results of analysis steps. Not saving the results reduces amount of data. Saving results can be quickly performed by the tool “Results saving” below the table for. This command causes that data from load step are kept in memory (data structure of ATENA) but not yet stored to a disk file.


Calculation Control

Analysis starts by clicking on [image]. The button changes to [image]. To stop analysis click the same button again. It is possible to choose tree ways of analysis interrupt, after load step, iteration and as soon as possible, as shown in Fig. 4‑2. Obviously, After step means the analysis runs until the current step is finished, i.e., converged or the maximum allowed number of iterations is exhausted (if not stopped earlier by the iteration stop criteria, see 3.7.5.1). This is (roughly) equivalent to unchecking the Perform analysis box for the next step (the only difference is the step results are not stored automatically if the Save data and Save all data after completing each step boxes are checked).

After iteration completes the current iteration, leaving the model in the same state like if the maximum number of iterations for the current step were set to the current iteration number. This means you can continue with the next step with the partially converged results, or look what is going on in the postprocessor.

As soon as possible can leave the model data inconsistent, i.e., it does not make sense to continue the analysis or look at the results of the step being analyzed.

Fig. 4‑2 Interruption of analysis.

After interruption it is possible to proceed with following actions:

1) Inspect results in Run window, and continue analysis.

2) Return to pre-processor, delete results, change some input and perform analysis again from the beginning.

3) Go to post-processor and inspect results. Eventually, return to Run and continue analysis.

4) Save analysis and restart any time in future.

Button [image] temporarily stops calculation and changes to [image]. Pressing this button again resumes calculation.

Top two lines in this section give information on current processing: step no., iteration no. and a calculation phase under processing. The progress bar indicates the speed of calculation. One run of progress bar corresponds to one loop of element set, or equation set processing.

By checking the box in front of “Save all data…” it is possible to choose automatic saving of results after all steps (where saving is required). If not checked, all results remain in the memory and can be saved by command “Save” after completing analysis. This causes that data form ATENA are stored on disk in the file*.cc3.


Monitoring

Graphic record of monitoring is shown in the monitoring window. Default monitors are convergence criteria (errors in iterative process), which are of the greatest importance in nonlinear analysis, because they indicate solution convergence. These are evaluated and shown automatically and need not to be defined by user. If desired, other monitors, forces, displacements, stresses and other results must be defined in pre-processing stage by user.

Fig. 4‑3 Monitoring of convergence criteria. Full range – left. Selected range – right.

Monitoring of convergence criteria shown in Fig. 4‑3. Four solution errors serve to check following criteria: (1) displacement increment, (2) normalized residual force, (3) absolute residual force, (4) energy dissipated. Graph properties can be changed using [image], which opens a dialog as shown in Fig. 4‑4. It shows a default setting of parameters.

Fig. 4‑4 Graph parameters of convergence criteria.

A detail view of a diagram can be achieved by changing the range of axis. Example is shown in Fig. 4‑3 right, where the range of Y-axis is set to <0; 0.1>.

A load-displacement diagram is a useful tool to illustrate the response of structure. Monitors must be defined by user in the pre-processor. Such monitors can be displayed during calculation. They can be selected in a graph parameter setting shown in Fig. 4‑4. The procedure of graph setting is as follows:

Open the dialog for monitor setting by [image].

X-axis:

Write axis label, for example “Displacement”.

From the list in section “Value”, which unfolds after clicking on [image], select pre-defined monitor “Displacement”.

Select the range as “full” or “specified”. Full range is calculated automatically form the data. Specified range can be any range defined by user.

Switch axis orientation is needed.

Y-axis

Write axis label, for example “Force”.

From the list in section “Unit”, which unfolds after clicking on [image], select unit, for example [MN]. All monitors with this unit appear in the table. Select appropriate monitors from this table by clicking appropriate check boxes.

Select the range as “full” or “specified”. Full range is calculated automatically form the data. Specified range can be any range defined by user.

Switch axis orientation if required.

Note that several values can be shown on Y-axis (multiple diagrams). However, they must have the same unit. Diagram can show iterations or steps optionally. This is defined in the section Redraw graph in bottom.

Fig. 4‑5 Graph parameters of load-displacement diagram.

Fig. 4‑6 Graph manager.

Example of a load-displacement diagram for iterations and steps is shown in Fig. 4‑7.

Fig. 4‑7 Examples of load-displacement diagram for iterations and steps (right).

Saving monitoring setting can be done as follows. First clicking on [image] and define the graph parameters in the window shown in Fig. 4‑5. Then click on the red button and in the New graph, Fig. 4‑8 left, enter a name under which parameters of the current graph shall be saved. Later, you can quickly change graphs by unfolding the list with [image] and selecting the graph, Fig. 4‑8 right.

Fig. 4‑8 Saving graph parameters (left). Select graph (right).

Monitors are not available for display before analysis starts. Therefore, it is necessary to wait with definition of graph parameters, Fig. 4‑5, until at least on cycle of analysis is completed (one iteration of solution).


Real Time Graphics of Results

Graphical window shows real-time results during calculations. This graphics is simpler then in final post-processing, but it serves well as a quick reference.

Fig. 4‑9 Graphic window showing real time results during analysis.

Graphic tools for picture manipulation and view are identical with those in module of post- and pre-processor. Therefore, for detail description look to those parts of text. There are three types of entities which define the graphical image of results to be shown: Activity (data groups to show, see also 3.7.1.5, 5.4.4), Structure (quality of structure: deformed form, mesh, surface, see also 5.4.5), Results (to show on structure, see also 0). Graphics shows a stress state at the current stage of analysis and is updated after each analysis cycle (iteration).

Steps involved in setting of desired real time display of results are following:

1. Select “Activity” after unfolding the list by [image]. Data sets must be pre-defined in the pre-processor.

2. Define visibility of “Structure”. Here, types of elements can be defined. In case of reinforced concrete 1D include reinforcing bars, 3D cover solid objects (concrete).

3. Define “Results” to be displayed. Should results in reinforcing bars be displayed, 1D must be checked. Should results in concrete be shown, 3D must be checked.

4. Define crack display in “Cracks”. (1) Crack filter, which defines a range of displayed cracks. For example, if minimum crack width is set as 0.0002 m as shown in Fig. 4‑10, all cracks smaller than 0.2 mm shall not be shown. A current range of crack widths is also shown in section “Information”. (2) Crack multiplier increases the width of crack lines on screen. This enables a better representation of crack width. Crack width multiplier can be changed by buttons [image], or by entering a multiplier value after clicking on [image].

Fig. 4‑10 Crack filter range input.

Fig. 4‑11 Available data (left). Select data for plots (right)

5. In “Scalars” define data to be plotted on structure. Data available for plots are shown in list, which unfolds by clicking on [image]. A desired item for display can be selected from the list. The list can be extended/reduced by clicking on “Edit data list”, which opens a window as shown in Fig. 4‑11 right. Data items to be available for display must by checked in boxes. Note: All data available for display in “Scalars” list musts be calculated from results during analysis. This requires time and can slow-down calculation. Therefore, if time is critical, it is better to keep the list short. The best speed performance is obtained by choosing the option “Unselect all”. In this case no other monitors are recorded and only convergence is monitored.

Examples of real time graphics are shown in Fig. 4‑12, Fig. 4‑13, Fig. 4‑14.

Fig. 4‑12 shows stress and cracks in concrete. For this, activity “Concrete” is chosen, which reduces data to concrete only. (Stresses due to reinforcement, which are much higher, are excluded from the stress scale).

In Fig. 4‑13 only reinforcement is shown by selecting “Reinforcement” item in activity.

Fig. 4‑14 shows a plot of deformed structure. Multiplier of deformation (in this case 500) is set in the tool bar [image].

Fig. 4‑12 Real time graphics. Cracks and iso-areas of tensile principal stresses.

Fig. 4‑13 Real time graphics. Stress in reinforcement.

Rounded Rectangular Callout: Displacement factor

Fig. 4‑14 Display of deformed structure. Displacements magnified 500 times.


Protocol

Text information about progress of calculation is shown in the section “Protocol”. Informations are displayed as they are reported by program. One piece of text contains all messages issued by during a load step. If number of lines in this text exceeds the window size, it is possible to move the text using the sliding bar on the right side of window. When next load step starts the message text for current step is closed and next one is opened. Messages for all steps can be later inspected in post-processing. A type of output is chosen by clicking on appropriate tab.

Fig. 4‑15 Message text output.


Message

Message text output, see Fig. 4‑15 shows the convergence information about progress of nonlinear analysis. It is the same information as the one shown in graphical monitoring of convergence criteria and in addition it shows also progress of line search iterations. Codes in parenthesis in the line end indicate to which method the information is related:

(NR) – Newton-Raphson method.

(AL) – Arc length method.

(LS) - Line search method.

Numerical data exceeding convergence criteria are provided by exclamation character (!). Thus converged state is indicated by data without “!”.


Output

Output text, Fig. 4‑16, displays information about global solution parameters, such as matrix size, boundary conditions, etc.

Fig. 4‑16 Output text.


Error

Error text includes convergence information supplemented by error messages, Fig. 4‑17. There are two types of this message: Warnings and errors. Warnings are not fatal and usually only indicate that data need to be checked. Calculation usually proceeds after warnings and error messages are issued. It is a user responsibility to take appropriate actions (change input data and repeat analysis if necessary) in order to prevent error messages.

Fig. 4‑17 Error messages.


Parameters

This text contains a list of solution parameters, Fig. 4‑18.

Fig. 4‑18 List of solution parameters.


Progress

This text contains a sequence of progress information, Fig. 4‑19.

Fig. 4‑19 Progress information.


Starting Post-processor

This chapter describes the usage of ATENA 3D Graphical Post-processor-, which is a part of the ATENA program system. ATENA post-processing can be started form other two modules (pre-processor, run) by clicking on the pre-processor icon [image] located in the tool bar (top-right). Postprocessor is also automatically initialized, when load step-data with results (file type name.i, where i is a three-digit load step number) are read from the menu item File | Open other | Results.


Post-processing Window

The main tools and functions of the post-processing window are shown in Fig. 5‑1.

Fig. 5‑1 Post-processing window.

The main menu is located on the top line of the window. The items of the main menu are modified for the purpose of post-processing (Sections 5.3.1 to 5.3.6). In the top line on the right are located buttons to switch to other program modules, [image], [image], and to change the window view [image] . On the second line is the graphic tool bar supporting functions of file and view management (see Pre-processor description in Sections 3.6.1 to 3.6.4). Here one can define how to look at the data (view direction, light direction, zoom, etc.).

On the left margin is a vertically positioned section with compartments for definition of data to be shown. Here one can select what should be displayed in the graphic window (for details, see Sections 5.4.1 to 5.4.11). Basically two types of data can be shown: (1) the geometry of structural model and (2) results of analysis, stresses, strains and displacements and damage (cracks, plastic deformations). Each data bar has two states: reduced and expanded. In expanded state details of data selection can be specified. Reduced state, such as shown in Fig. 2‑1, offers a quick access to various data types. Such configuration allows maximizing the view area of graphical presentation. In turn, they can be unfolded again by clicking on their buttons.


File

Most functions in menu File, Fig. 5‑2, are the same as in the pre-processor. For detail description see pre-processor.

Fig. 5‑2 Menu items in ‘File’.

Post-processor specific functions are described below.


Open Other

It is possible to open existing binary load-step file by the menu item Open other | Results by step. The file name format is name.i, whete i is a three digit number (001, 002, 031, ..etc.) of the load step. This makes possible to load data from analysis done by some other ATENA analysis.

This is, of course, not necessary for the current session of ATENA or data loaded from an ATENA 3D file (name.cc3), because such data already include step results (provided they were saved). The command Open other | Results by step is aimed at loading data made by other ATENA programs, or not included by *.cc3 file. This might be, for example, a useful way to handle extremely large output files.

Opening other files means that ATENA is opening a new task and the current task, if any, must be closed. Saving current data is offered by the dialog as shown in Fig. 5‑3. If current data are not modified this dialog does not appear.

Fig. 5‑3 Save existing data before loading a step results file.

Following this, a table of the load step data opens, Fig. 5‑4. The table is initially empty. The button [image] can be clicked, which makes possible to search for desired data, Fig. 5‑5. Selected files are confirmed by “Open” and then loaded into ATENA. In case of large files this can require some time. Data loading is finished when file names appear in the list of table, Fig. 5‑4. If you later wish to add additional steps of the same analysis, you may access this dialog by the command Data | Analysis steps manager.

Fig. 5‑4 Analysis steps to be loaded.

Fig. 5‑5 Open load step data.


Edit

Fig. 5‑6 Edit – copy menu.

By clicking on the item Copy in Edit menu a contents of the graphic window is copied to a clipboard as a bitmap in resolution as defined in the menu Options | Settings | Output (5.3.5). A “Paste” command can follow to insert the bitmap to a document or a program.


Data

Menu Data includes three items as shown in Fig. 5‑7.

Fig. 5‑7 Data menu.

Item “Cut manager” shall be described later in the data “Section” 5.4.3.


Analysis Progress

Window “Analysis progress information” shows contents of input and output text files for all load executed steps. The load step can be selected from the list “Analysis steps”, which can be unfolded by [image].

Fig. 5‑8 Window “Analysis progress”.

Six text files contain input/output streams with various messages. Text can be viewed by clicking on appropriate tabs. Contents of files:

Input – Text input file. Analysis was performed under control of this command file.

Output – Global analysis data, such as memory requirements, etc.

Message – Convergence of iterative solution. (Shown in Fig. 5‑8)

Error – Warning and error messages.

Parameters – Solution parameters.

Progress – Progress of processing.


Result Manager

Results manager enables to delete and export data of selected load steps, Fig. 3‑6.

Fig. 5‑9 Results manager window.

Deleting results is done by selecting load steps from the table and then clicking on the button “Delete results”. All load steps can be selected/deselected/invert-selection by the buttons [image]. Results of selected load steps are deleted from the ATENA memory. After this, when saving ATENA data, the resulting file *.cc3 does not contain deleted results. This operation can be made, for example, before we repeat the analysis.


Save Step Results

Result manager makes possible to save results of steps in binary files. Load steps are selected by clicking on the number of load steps. After clicking on the button “Export results” a desired target directory can by located and selected data can be saved. The file names are automatically created in the format Task_name.i, where Task_name is the current ATENA name (set for the ATENA data in a save command) and i is a three-digit number of the load step. Advantage of load step file is its reduced size, because only data relevant to one load step are included.


Graph

Graph window can display two types of graphs: (1) default graphs (convergence of iterations) and (2) monitoring graphs, which must be pre-defined by user. Details of graph parameters are treated in pre-processor (3.7.5.3) and runtime (4.5) descriptions. Example of convergence graph for criteria 2 (error due to unbalanced forces) is shown in Fig. 5‑10. Parameters chosen for this graph are shown in Fig. 5‑11.

Fig. 5‑10 Graph of convergence process for unbalanced forces.

Fig. 5‑11 Graph parameters for convergence of unbalanced forces.

Graph of a user-defined monitoring, such as load-displacement diagram can be conveniently displayed by unfolding a list of graphs in the graph manager and choosing a desired graph. Definition of such graph can be made during execution of analysis in module “Run”, or after analysis in post-processor. An example is shown in Fig. 5‑12.

Fig. 5‑12 Graph of load-displacement diagram.

Necessary pre-requisite of such a diagram is that data must be generated during analysis. For this, monitoring points must be defined in pre-processor. If this is done, monitoring data are generated and stored even if they are not displayed during “Run”. The appearance of the graph, such as range and line color can be set in post-processor. Line thickness can be set in the menu Options | Settings |Draw | Graph line thickness.


Options

Menu options allows to set some parameters of graphics. First item Options | Toolbars shows a list of toolbars, which can be optionally switched on/off by checking, Fig. 5‑13.

Fig. 5‑13 Menu Option | Tool bars.

Menu Options | Display, Fig. 5‑14, allows to adjust thickness of 1D elements with iso-areas, light on surfaces with iso-areas (Render iso-areas) and numbering of finite elements and nodes. Note that numbering of elements consists of two numbers: group, element within a group. Group number is in most cases identical with macroelement number. The displayed node and element numbers can be switched to internal numbers, which can be useful when postprocessing results of analysis run outside of the GUE.

Fig. 5‑14 Menu Options | Display.

The menu Options | Settings is identical to the Pre-processor, see section 3.2.6.1.


Windows

Menu Windows serves to the management of windows display, Fig. 5‑15. All existing windows can be inspected, arranged or closed. Hint: When windows view is improperly changed it can be returned to a visible arrangement by choosing command “Optimal”.

Fig. 5‑15 Windows manager.


Settings Manager

Setting of displayed data can be saved and organized by “Settings manager”, Fig. 5‑16. To open a dialog for saving settings the red button [image] should be clicked and a name for settings must be entered in the window for New settings, Fig. 5‑17. After confirmation by [image] all current settings in the “Data select” and view are saved under the given name. The same setting can be activated again this by selecting it from the list. Example of application: Define all your settings for display of data in load step 10 and save this setting under the name “Setting for step 10”. Later, after changing various parameters you can return to this setting by choosing the item “Setting for step 10” from the list in the Settings manager. The setting includes also the load step number. Thus, in order to use the same setting for a different load step, for example step 20, first select “Setting for step 10” and then change to load step 20 in “Step”.

Fig. 5‑16 Settings manager.

Fig. 5‑17 New settings.


Analysis Step for Post-processing

In non-linear analysis each analysis step (load step) includes complete data about stress, damage (cracks) and deformation state. Results for of a step can be selected in menu “Step” from a list, which unfolds by clicking on arrow [image], Fig. 5‑18. Data for only one step can be displayed at one time. Only the results of steps appropriately marked for output are available for post-processing. This must be done prior analysis in the module “Run” by checking “Save data” in appropriate steps (4.3).

Fig. 5‑18 Selecting analysis step for post-processing.


Section

This tool allows viewing data on a plane section passing through 3D objects. This simplifies a post-processing and makes possible to look for results inside the objects. The list of sections can be unfolded by clicking on the arrow [image] and selecting a section. Section manager can be opened by the button [image]. In this window, Fig. 5‑20, a new section can be defined by clicking on [image], which opens a new cut dialog.

Fig. 5‑19 Section manager.

Fig. 5‑20 Cut list.

Fig. 5‑21 New cut. Definition by plane and offset.

Fig. 5‑22 New cut. Plane definition by three points.

Parameters of cut definition can be entered in the fields marked by blue text. There are three ways of section plane definition: (1) Plane parallel with planes of global coordinate system and offset; (2) Plane defined by point and normal vector; (2) Plane defined by three points. Examples of two section definitions are shown Fig. 5‑21 and Fig. 5‑22.


Activity

Activity options allow to define selected objects for display. Definition of activity must be done in pre-processor (see 3.7.1.5). Example of a list, which can be unfolded by clicking on the arrow [image], is shown in Fig. 5‑23. After selecting a desired activity from the list, only objects included in the activity are displayed.

Fig. 5‑23 Activity list.


Structure

This option defines the reference structure in deformed and un-deformed states. Un-deformed structure is chosen by the button [image]. In the menu below types of objects (1D, 2D, 3D) can be made active, as shown in Fig. 5‑24. Appearance of the 3D un-deformed object can be selected. Items checked in un-deformed “Basic” structure will be shown simultaneously with other results as a reference.

Fig. 5‑24 Showing un-deformed object.

Deformed shape is defined by [image]. A multiplier of deformation can be adjusted by arrows, or entered in window, which opens by [image]. Types and style of deformed objects (1D, 2D, 3D) can be checked in the menu. In example shown in Fig. 5‑25 un-deformed structure is also included. If both, deformed and un-deformed structures are simultaneously shown, un-deformed shape shows only its contour. It serves as a reference of displacements.

Fig. 5‑25 Deformed and un-deformed structure.


Nodes, Integration Points, Axis

Fig. 5‑26 Marking of nodes, integration points and global coordinate axis.

By clicking on the corresponding buttons, Fig. 5‑26, nodes, integration points and global coordinate axis, respectively, are graphically marked on the model.

Results

This section describes graphical tools for display of results, such as stresses, strains and cracks, etc. The structure itself, its geometry, is displayed separately by the above described tool ‘Structure’ (5.4.5).

The Results menu as shown in Fig. 5‑27 has two main sections: layers and entities. In the layers the results are read into the post-processor. They are grouped according to their dimension and can be regarded as global layers. There are 3 topology layers: 1D (truss, uniaxial stress state), 2D (membrane, plane stress, plane strain, axial symmetry), 3D (brick, wedge, etc., general 3D stress state, shell). Each type can include several layers. Layers are defined in the ‘Activity’ tool (see Section Activity above).

Layers can be made active simultaneously. In this case it may happen that the elements which are inside of other elements need not to be seen. For example, if you activate results on the concrete surface (stress, cracks, etc.) simultaneously with the results in reinforcement (stress, strain) located inside of the concrete, you do not see the reinforcement. Therefore, for the sake of clarity, it is better to activate only those structures and results, which are in the same layer.

Fig. 5‑27 Menu section for results.

Entity can be selected by a tab and its details can be defined by selecting from related lists. Tabs define the entity type, such as, scalars, vectors, tensors, cracks, evolution 1D. This selection process can result in hundreds of combinations to show results. It is a straightforward process and thus we shall illustrate only few typical results.


Scalars

Scalars are resulting from the finite element analysis and are describing stress and strain states, deformations and damage in a point. Scalars are functions of location X, Y, Z in 3D, but they are in most cases shown on surfaces and sections. Scalar fields are graphically represented by iso-areas or iso-lines. Any quantity included by ATENA in results can be shown by post-processor as a scalar. Scalars are closely related to material models and finite elements used. Examples of scalars are stress and strain components. An example of result showing the iso-areas of minimal principal stresses (compression) on concrete surface is shown in Fig. 5‑28. The color scale of stress is shown in the right margin. Iso-areas show the regions of stresses within a certain interval by a color.

Detail setting of scalars is done by selecting items from four lists, Fig. 5‑30, where type of graphical representation (iso-areas, iso-lines), variable and its components can be defined.

Fig. 5‑28 Results showing principal stresses by iso-areas in nodes.

Fig. 5‑29 (a) Iso-lines in nodes. (b) Iso-areas in element nodes.

There are four sub-menus of details, which unfold after clicking on the black arrow.

(a) [image] (b) [image] (c) [image] (d) [image] (e)

(a) graphical representation (b) averaging (c) variable (d) variable – smeared reinforcement (e) component

Fig. 5‑30 Detail setting of scalars.

There are two types of display in the list (a): iso-areas, (example see in Fig. 5‑28), iso-lines (see Fig. 5‑29).

Averaging method is selected from the list (b). Averaging is necessary approximation, which can affect results. Stress and strain fields are inherently discontinuous on the element boundaries as a result of finite element definition. The processing of results is as follows:

  1. Evaluation of entity (stress, strain, etc.) at integration point.
  2. Projection of entity from integration points to element nodes based on smoothing according to Zienkiewicz.
  3. Averaging of element node values in nodes.

Method “in nodes” corresponds to the point 3 above and provides continuous scalar fields. Its example is in Fig. 5‑28. It is suggested to use this method for normal cases.

Method “in element nodes” corresponds to the point 2 above, i.e. after projection, but before averaging. This representation is useful to show the results, which are not affected by averaging. It reflects the real values according to the finite element method. See Fig. 5‑29(b) for an example.

Note that exact values calculated at integration points can be found in numerical output or in tensors.

From the list in Fig. 5‑30 (c) and (d), a desired variable and from list (e) its component can be selected. Values for smeared reinforcement are marked with “(s#)”, where “#” denotes the number of the smeared reinforcement layer. See 5.5 for information about the available output data attributes.


Color Scale

An automatic scale is generated if the box in the field under details is checked [image]. If it is not checked, then the scale can be modified by user. In both cases, the scale can be generated in two different modes, “Standard” with all colors distributed from min. to max. value, or “Divided by zero”, using warm tones (yellow and red) for positive values (e.g., tensile stresses), and cold tones (green and blue) for negative values (e.g., compressive stresses). After clicking on the adjusting button [image] a scale menu appears where range, colors and number of intervals can be defined, see Fig. 5‑31.

Fig. 5‑31 Color scale definition

After finishing the definition dialogue, the scale can be saved by clicking on the button [image]. The button is active only when automatic scale is disabled. The active button changes color to red if crossed by the mouse pointer. The same scale can be later used for other pictures. It should be realized, that the scale is closely related to the type of display. Therefore it is recommended to use the same scale only for the pictures, which are similar. For example, use the same scale for the pictures of the principal stress of different load steps. There you introduce an absolute scale and the stresses in loads steps can be graphically compared. A useless display is obtained if you apply a scale made for stress to strains, since the numerical range is by far different.

It is recommended to use following sequence of operations if you want to apply a common scale to a series of pictures for the purpose of a simulation of stress or strain development. Select the load step with the largest value range. Apply automatic scale and then change to user’s scale. Save this scale under a certain name. Read results of another load step. If you do not make any changes the scale is still active. If the scale was changed you can use the previous scale by selecting from the scale manager.

Range of scalars is written in the information field below the data selection menu, see Fig. 5‑27. Two range bands are shown described by letters: A - for active groups, G – for global (all groups). The range information is useful for assessment of maximal values (of stress, crack width, etc.)


Vectors

Vectors are described by point of application, direction and magnitude. They represent displacements and forces. An example of vectors is shown in Fig. 5‑33, where displacements in nodal points are displayed. Displacements are depicted by arrows showing direction and value (length).

Fig. 5‑32 Vectors menu.

Type of graphics can be selected from the list in the first pull down menu. Item “show” means that vector is depicted as arrows without label and “show and label” with a numerical value, see Fig. 5‑32, left. The entity to be displayed is selected from the second menu. The scale of vector arrows can be changed by multiplier, for which the box [image] must be checked first and then the multiplier value can be increased or decreased by pressing one of the arrows [image], or by entering the value after clicking on [image].

The list of vectors offered in the second menu depends on ATENA solution. Any vector provided by ATENA appears in the list. External forces represent applied nodal forces, internal forces are nodal equivalents of stresses, residual forces are unbalanced forces resulting for nonlinear solutions. Residual forces show errors of iterative solution.

ATENA numerical model works with double nodes on interfaces between macroelements. In such cases nodal forces are result of summation of all contributing elements (solid, truss, interface, spring, external forces, reactions, etc.). Partial values (for example “Partial internal forces”) are in individual nodes, which connect in one location, while compact values (for example “Internal forces”) show total value (sum of partial values) at this location.

An example is shown in Fig. 5‑34. In case of internal forces (compact forces), vectors appear only at supported nodes, where they are balanced by reactions. The same situation is at the node near the free end, where the vertical external force is applied. In case of partial forces vectors appear in all points where bar elements are also attached, because bar elements are embedded in brick elements using double nodes.

Fig. 5‑33 Nodal displacements shown by ‘Vectors’.

(a) Internal forces (b) Partial internal forces

Fig. 5‑34 Vectors of internal forces.


Tensors

Tensor describes the stress and strain states in a material point. Tensors can be shown at nodal points or at integration points. At nodal points they represent the average values of neighboring elements, while at integration points they show the exact results of analysis. The menu functionality is similar to vectors and shall not be repeated here. A location of tensor display can be selected from the second pull-down menu. A tensor displays the values of its three principal components by arrows of different colors. Numerical values of the tensor components can be shown by selecting the option ‘show and label’. An example of stress tensor display at nodal points is shown in Fig. 5‑35. A close view of stress tensor with labels at integration points is shown in Fig. 5‑36.

A display of tensors at integration points can be used to check the material response according to the applied model. For example in concrete, exactly before a crack is initiated the principal tensile stress must be equal to the tensile strength.

Fig. 5‑35 Stress tensors in nodal points.

Fig. 5‑36 Enlarged view of stress tensor components at integration points with labels.


Cracks by Lines

The damage of material due to cracks can be displayed by this tool. The tool box, see Fig. 5‑37, offers three submenus for: crack display type, crack width filter and crack line width.

Fig. 5‑37 Crack menu. Cracks in elements to be shown.

Fig. 5‑38 Crack filter setting.

In ATENA a crack is calculated in each element and is defined by orientation of its plane and width. It represents an average damage of the element and therefore it is located in the element center. A crack path in the structure is a band of element cracks. Based on the underlying crack band theory, the most representative crack pattern is in elements and therefore the element representation is recommended. Since the crack evaluation is actually done at integration points cracks can be also show there.

In order to show cracks on the surface we must make following settings:

(1) In the menu “Structure” (5.4.5), check the box [image] at “3D Layer0” and select “solid” from the list. After this we can visualize the surface.

(2) Read “Results” by checking the box [image] at “3D Layer0”.

(3) In menu “Cracks” select display in “elements”.

Fig. 5‑39 All cracks on the surface. Fig. 5‑40 Cracks with filter.

Example of cracks on the surface is shown in Fig. 5‑39. In this picture all cracks are shown. Display of narrow cracks can be suppressed using the filter, Fig. 5‑38. Then only wide cracks are displayed as shown in Fig. 5‑40. In this way a main failure plane can be indicated.

The graphical image of a crack is a disc enclosed by element border, whose orientation shows the crack orientation and its thickness shows the crack width. The crack in element is drawn in such a way, that it passes through the element center and intersects with element sides. In brick elements it has often a rectangular shape, but it can be also a polygon, depending on the shape of element and how it is intersected. A view of cracks inside of a structure can be achieved by setting parameter of “Structure” (5.4.5) as “outline”, see Fig. 5‑41.

A numerical value of the crack width can be written on cracks as shown in Fig. 5‑42. For this display we must select the item “show and label” from the type of display list. For a clear view of the numbers it is useful to rotate the view into a direction perpendicular to the surface. In this example a clear view can be quickly accomplished by clicking on the graphic button [image] . Cracks can be displayed also on the deformed structure and combined with other entities. Example of such combined display is shown in Fig. 5‑45. It shows deformed structure with cracks and principal compressive stresses. A deformed shape of the structure is emphasized by showing also the finite element mesh on the surface. (In “Structure” (5.4.5), check the box [image] at “3D Layer1” and select “solid and FE mesh” from the list).

In case that we want to see only an isolated detail, we can choose as active only a specific region. First we must select appropriate “Activity” (5.4.4). Activity must be first defined in pre-processor (3.7.1.5). Then we can select appropriate cracks for display. An example similar to the one shown in Fig. 5‑45, but limited to only one part of the cantilever structure is shown in Fig. 5‑46.

If cracks are drawn inside of structure the labels of the width are written on their planes as shown in Fig. 5‑43.

The thickness of the crack line on display can be adjusted by changing the multiplier in the bottom menu. It can be increased or decreased by pressing one of the arrows [image], or by entering the value after clicking on [image].

Fig. 5‑41 Crack display inside of structure.

Fig. 5‑42 Crack width label on the surface.

Fig. 5‑43 Crack width label inside of structure. Fig. 5‑44 Cracks in integration points.

Fig. 5‑45 Crack display with iso-areas of stress. Fig. 5‑46 Display with limited activity.

The cracks can be also shown at integration points, where they are depicted by circular discs. However, this representation is normally not used. It serves only to show details of crack distribution within a finite element. The crack filter and crack width cannot be used for cracks at integration points.


Cracks by Scalars

Another way of showing cracks is to display crack width as a scalar. This is done in menu Scalars described in section 5.4.6.1. In Scalars, unfold the entity list and select Crack width and in component list Cod1. There are three components, Cod1, Cod2, Cod3, each corresponding to one potential crack. In a material point there can be up to 3 cracks in mutually perpendicular planes.

Fig. 5‑47 Cracks by iso-areas. Setting of scalar parameters.

Fig. 5‑48 Cracks shown by crack width iso-areas in scalars.

Fig. 5‑49 Cracks show by lines for the same crack state as shown in Fig. 5‑48.


Cracks in Shells

It is recommended to display cracks in shell macroelements as scalars (5.4.6.1). The cracks in shells shown by lines do not capture the crack path through the shell thickness in detail. They may show the cracks through the entire cross section of shell element also in compression zone. However, this is only a graphical problem. Therefore, it is recommended to use scalars for cracks in shells.


Reinforcing Bars

Before starting a post-processing of reinforcement the results of 1D elements must be opened in menu “Results” (0) by checking the box [image]. Other layers (2D, 3D) should not be checked. If 3D layer is also checked, bars need not to be visible. For appropriate view of bars it is useful to define bars, or bar groups, in activity prior to post-processing. Activity must be defined in the pre-processor, but it can be done in any stage of processing, before or after calculation. There are two ways of reinforcement data display: (1) scalars, (2) graphs.


Bars with Scalars

Visualizing data by scalars can be done is the same manner as on the surface of 3D objects as described in chapter Scalars. Bar data are visualized on the surface of bar lines. Thickness of the bars (only for the purpose of scalar drawing) is set in the menu Options | Display | Thickness of 1D iso-areas.

Tab “Scalar” must be opened and appropriate data item (stress, strain, ...) and component (sigma xx, …) can be selected form the unfolding lists. Example of bars with iso-areas of stress is shown in Fig. 5‑50.

Fig. 5‑50 Reinforcing bars showing stress with the help of scalars.


Bars with Graphs

Bar data can be visualized by evolution graphs. For this the tab “Evolution 1D” must be opened and data item and component must be chosen from the lists. This tab has four pull-down menus: (a) type of display, (b) location, (c) value, (d) component. Choosing appropriate setting from these lists, Fig. 5‑51, causes a display of distribution graphs along bar elements as shown Fig. 5‑52.

(a) type of display (b) location (c) value (d) component

Fig. 5‑51 Pull-down menus in Evolution 1D.

Fig. 5‑52 Bar stress distribution. Only longitudinal bars shown.

For comparison the same data can be displayed using scalars as shown in Fig. 5‑53.

Fig. 5‑53 Bars with data display by scalars.


View

The choice of entity types to be displayed works the same way as in the Preprocessor, see Section 3.7.6. The tool to show/hide nodes, integration points, and axis is described in Section 5.4.6.


Output Data Attributes

This section deals with the result data, which come out of the finite element analysis. They are displayed in a graphical form on the screen in the post-processing mode and can be also presented in a text form.


Result Data of Monitored Points

 |  | Contents
Results | Monitoring points at each iteration | Monitored data in each iteration.
 | Monitoring points after load step | Monitored data in each load step.


Result Data Evaluated in Nodes

The meaning of nodal values depends on data type. The state variables, such as stress and strain, are weighted average values of element nodal values. The weights are proportional to the element volumes. Thus, in case of regular mesh, with elements of equal sizes the nodal value is an average of element nodal values.

The averaging is made only for nodes belonging to the same group. This is made possible by considering two nodes in the same location on a line connecting two groups of elements (macro-elements). Thus, one node can be a part of only one group. The rigid (or other) connection of nodes between groups is facilitated by the ‘Master-slave’ method.

The vector variables, such as displacements, forces and coordinates, describe the vector components. Following table summarizes data contents in the tree structure.

Contents

Nodes

Bond Slip

Reinforcement displacement relative to surrounding material (bar with bond, external cable).

Delta Slip – slip increment in the current step

Total Slip – the current bond slip

Bond Stress

Stress in the reinforcement contact (bar with bond, external cable).

Cable Force

Force in reinforcement.

Crack Width

Crack opening displacement (COD).

Current Nodal Coordinates

Coordinates of each node in the current deformed configuration.

Displacements

Displacements of each node.

Elem Total Temperature

Thermal load.

Eq Plastic Strain

Equivalent plastic strain for the Cementitious fracture-plastic material

(Compact) External Forces

External forces acting in nodes. See also Partial External and Internal Forces.

In older ATENA versions this output type was called Compact External Forces.

Fc Reduction

Reduction of compressive strength due to concrete cracking in Cementitious fracture-plastic models

Fracture Strain

Strain corresponding to crack opening.

(Compact) Internal Forces

Nodal forces. Summation of forces includes all elements regardless of the group. See also Partial Internal Forces and Residual Forces. In older ATENA versions this output data type was labeled Compact Internal Forces.

Interface Displacements

Relative displacements at contact elements. The components depend on problem dimension:

2D

1 – Dv(1) – shear displacement

2 – Du – normal displacement

3D

1,2 – Dv(1,2) – shear displacements

3 – Du – normal displacement

Interface Plast Displacements

Nonlinear part of the relative displacements at contact elements. The components depend on problem dimension:

2D

1 – Dv P(1) – shear displacement

2 – Du P – normal displacement

3D

1,2 – Dv P(1,2) – shear displacements

3 – Du P – normal displacement

Interface Stress

Stress on contact elements. The components depend on problem dimension:

2D

1 – SigT(1) – shear stress

2 – SigN – normal stress

3D

1,2 – SigT(1,2) – shear stresses

3 – SigN – normal stress

Maximal Fract Strain

The maximum fracture strain during the loading history so far.

Nodal Degrees Of Freedom

A location in the global stiffness matrix.

This list relates original nodal numbers to the DoF numbers in the global stiffness matrix line numbering. DOF(1), DOF(2), and DOF(3) are degrees of freedom in X, Y, and Z directions, respectively.

A minus signs in front of a DOF number indicates a DoF with kinematic constraints, i.e., BC. They include supports and master-slave relations.

Partial External Forces

External forces acting in nodes. The external forces are due to given loading.

Partial Internal Forces

Nodal forces. Summation of forces includes only elements of the same group. The sums of nodal force in nodes of adjacent elements are shown. In nodes without external loading and kinematic constrains, such as supports and slaves, in an equilibrium state these values should be near to zero within the tolerance specified by convergence criteria.

Partial Reactions

Reactions in nodes. Partial reactions are listed in all nodes with kinematic constrains. The kinematic constrains can be of two types: (a) fixed supports or prescribed displacements in nodes, (b) slave nodes. Since the slave nodes are kinematicaly related to the master nodes, they are regarded as supports to master nodes and thus provide reaction forces to master nodes. This occurs, for example in nodes on the border of element groups and in reinforcing bars.

Partial Reactions are treated in a way similar to Partial External Forces (see above).

Partial Residual Forces

Residual forces in nodes (sum of external and internal forces acting in node). The residual force shows the unbalanced force in nodes within element groups.

Partial residual forces describe equilibrium state. They are calculated as a sum of internal forces, external forces and reactions in a node under consideration and within the element group only. In an equilibrium state the residual forces should be zero. Any nonzero residual forces indicate an error in the non-linear solution (apart from unbalanced forces occurring on the group border).

Performance Index

Relative error in the evaluation of the material model at each node. 1)

Plastic Strain

Plastic strain of concrete, steel, or bar reinforcement in nodes.

Plastic strains are calculated only in models based on the theory of plasticity. Examples of such materials are: 3D Cementitious2, Von Mises, Drucker-Prager, reinforcement. Therefore, in some materials (e.g., Elastic) plastic strains are not presented at all. In 2D or 3D material models 3-6 plastic strain components can appear. See (Engineering) Strain below for details about the components.

Plastic Strain (sj)

Plastic strain of smeared reinforcement. 2)

Principal Fracture Strain

Principal components of strain corresponding to crack opening.

Principal Shell Membrane Strain

The principal components of the strains averaged through the shell thickness (see also Shell Membrane Strain below).

Principal Plastic Strain

Principal plastic strain of concrete, steel, or bar reinforcement in nodes.

Number of principal components depends on the material model. For example, the ‘3D Nonlinear Cementitious2’ can have all three principal components (See also Plastic Strain above). The principal directions are described by unit vector components (See also Principal Engineering Strain above).

In case of reinforcement in a uniaxial stress state, only one component is shown. This strain is in a local direction of the truss element. Furthermore, the principal and normal values of stresses and strains in reinforcement are identical.

Principal (Engineering) Strain

Principal strains and a direction vector in nodes.

Max, Mid, Min – the principal values of the strain tensor,

(Vmax X, Vmax_Y, Vmax_Z),

(Vmid X, Vmid_Y, Vmid_Z),

(Vmin X, Vmin_Y, Vmin_Z) – the corresponding direction vectors. For details see the documentation ATENA Theory, section 2.1.1 Basic assumptions.

Principal Strain (sj)

Principal engineering strain of smeared reinforcement. 2)

Principal Stress

Principal stresses in nodes.

Max, Mid, Min – the principal values of the stress tensor,

(Vmax X, Vmax_Y, Vmax_Z),

(Vmid X, Vmid_Y, Vmid_Z),

(Vmin X, Vmin_Y, Vmin_Z) – the corresponding direction vectors. For details see the documentation ATENA Theory, section 2.1.1 Basic assumptions.

Principal Stress (sj)

Principal stress of smeared reinforcement. 2)

Principal Total Strain

Principal components of strains including initial and thermal strains.

Rate factor

Not used, equal to 1.0

Rate factors

Not used, equal to 1.0

(Compact) Reactions

Reactions in nodes. Reactions are listed in all nodes with kinematic constrains. In reactions only external kinematic constrains such as supports and prescribed displacements are considered. Reactions are treated in a way similar to External Forces (see above). If a reaction is in a double-node the value in a master node is shown.

In older ATENA versions, this data type used to be called Compact Reactions.

Reference Border Coordinate

Coordinates for drawing 2D plots showing evolution of certain quantity along the path given by these values

Reference Nodal Coordinates

Initial nodal coordinates (original nodal coordinates in the undeformed state).

(Compact) Residual Forces

Residual forces in nodes (sum of external and internal forces acting in node). The residual force shows a global unbalanced force in the node, summed for all elements adjacent to the node.

Residual forces describe equilibrium state. In an equilibrium state the residual forces should be zero. Any nonzero residual forces indicate an error in the non-linear solution.

Soft/Hard parameter

Hardening/softening parameter for the plastic model in Cementitious fracture-plastic materials. It corresponds to the ratio of current compressive strength to the one specified in the material definition:

Sbeta State Variables

State variables of ‘SBETA Material’ in each node. They contain a complete set of data available in the model and include some data available in other sections (principal stress and strain) as well as additional data (tension stiffening, shear retention factor, etc.). Units of SBETA variables are not shown. They have units of stress and strain. 1)

Shell Membrane Strain

Strains averaged over the shell thickness.

Spring Strain

Relative deformation of the spring. There is only one component, in the spring direction:

1 – Du

Spring Stress

There is only one component, in the spring direction:

1 – Sigma

(Engineering) Strain

Strains (ε, γ), sometimes also called relative deformations.

The components and their numbering depend on model and element types.

3D Element – in global coordinates:

1 – EpsXX, 2 – EpsYY, 3 – EpsZZ,

4 – GammaXY, 5 – GammaYZ, 6 – GammaXZ

2D Plane Stress:

1 – EpsXX, 2 – EpsYY,

3 - GammaXY

2D Plane Strain:

1 – EpsXX, 2 – EpsYY, 3 – EpsZZ=0,

4 – GammaXY

Axisymmetry:

1 – EpsRr, 2 – EpsZZ, 3 – EpsTt,

3 – GammaRz, 4- GammaZT, 5 – GammaRt

Shell, Beam – in local coordinates:

1 – EpsXX, 2 – EpsYY, 3 – EpsZZ,

4 – GammaXY, 5 – GammaYZ, 6 – GammaXZ

1D Reinforcement – axial strain:

1 – EpsXX

2D Membrane – in local coordinates:

1 – EpsXX, 2 – EpsYY,

3 - GammaXY

Strain (sj)

Engineering strain of smeared reinforcement. 2)

Stress

Stress components (σ, τ).

The components and their numbering depend on model and element types.

3D Element – in global coordinates:

1 – SigXX, 2 – SigYY, 3 – SigZZ,

4 – TauXY, 5 – TauYZ, 6 – TauXZ

2D Plane Stress:

1 – SigXX, 2 – SigYY,

3 – TauXY

2D Plane Strain:

1 – SigXX, 2 – SigYY, 3 – SigZZ,

4 - TauXZ

Axisymmetry:

1 – SigRr, 2 – SigZZ, 3 – SigTt,

3 – TauRz, 4- TauZT, 5 – TauRt

Shell, Beam – in local coordinates:

1 – SigXX, 2 – SigYY, 3 – SigZZ,

4 – TauXY, 5 – TauYZ, 6 – TauXZ

1D Reinforcement – axial stress:

1 – SigXX

2D Membrane – in local coordinates:

1 – SigXX, 2 – SigYY,

3 – TauXY

Stress (sj)

Stress of smeared reinforcement. 2)

Tensile Strength

The current tensile strengths (in principal directions).

Total Elem Body Load

Typically used for dead weight.

Total Elem Init Strain

Initial strains (typically used to represent pre-stressing or shrinkage).

Total Elem Init Stress

Initial stresses (typically used to represent pre-stressing).

Total Strain

Strains including initial and thermal strains.

See Strain above for details about the components.

Von Mises Stress

Equivalent plastic stress for the von Mises yield criteria.

Notes:

1) Displayed only if ‘SBETA Material’ is used. The variables are explained in the following table (see the ATENA 2D User’s manual for details.):

SBETA State Variables
Variable | Contents
Node | Node number.
Y1 | Secant modulus in direction 1 (max).
Y2 | Secant modulus in direction 2 (min).
Rc1 | Biaxial compressive strength in direction 1 at failure. See Theory 2.1.5.1.
Rc2 | Biaxial compressive strength in direction 2 at failure. See Theory 2.1.5.1.
Rt1 | Biaxial tensile strength in direction 1 at failure. See Theory 2.1.5.2.
Rt2 | Biaxial tensile strength in direction 2 at failure. See Theory 2.1.5.2.
s1 | Concrete stress in direction 1.
s2 | Concrete stress in direction 2.
Rec | Compressive strength factor due to the biaxial stress. See Theory 2.1.5.1.
Ret | Tensile strength factor due to the biaxial stress. See Theory 2.1.5.2.
Sc(1) | Concrete stress normal component in dir. x, scx.
Sc(2) | Concrete stress normal component in dir. y, scy.
Sc(3) | Concrete stress shear component in dir. xy, tcxy.
Eps(1) | Strain component, normal, in dir. x, ex.
Eps(2) | Strain component, normal, in dir. x, ex.
Eps(2) | Strain component, shear, in dir. xy, gxy.
Sd(1) | Smeared reinf. stress. NOT USED in this version.
Sd(2) | Smeared reinf. stress. NOT USED in this version.
st(1) | Tension stiffening stress. NOT USED in this version.
st(2) | Tension stiffening stress. NOT USED in this version.
Sx(1) | Total stress component, normal, in dir. x, sx. (Here same as scx)
Sx(2) | Total stress component, normal, in dir. y, sy. (Here same as scy)
Sx(3) | Total stress component, normal, in dir. xy, txy. (Here same as tcxy)
Yd(1) | Smeared reinf. modulus. NOT USED here.
Yd(2) | Smeared reinf. modulus. NOT USED here.
Angle | Angle of principal strain or material axis 1.
Tevol | Volumetric strain due to temperature or shrinkage.
Redg | Shear retention factor.
Rsm(1) | Yield stress in smeared reinforcement. NOT USED here.
Rsm(2) | Yield stress in smeared reinforcement. NOT USED here.
Ns(1) | Material state number in dir. 1. (See Theory, 2.1.2.1)
Ns(2) | Material state number in dir. 2. (See Theory, 2.1.2.1)
Ncr | Crack state number.

2) The index ‘j’ stands for layer number. See 5.5.8 for more information.


Result Data Evaluated in Elements

 |  | Contents
Elements | Crack Attributes | Crack attributes of elements. The crack attributes define the crack direction and length within the element, crack opening and stress components, normal and shear, on the crack plane. The attribute values are average values of all integration points. Group - Element group (macroelement number) Elem. - Element number N.Cracks - Number of cracks in element Dim - Dimensionality of the model N.attr - Number of crack attributes Ni (1,2,3) - Crack normal direction unit vector components (i=1,...N.Cracks) Size i - Crack length CODi - Crack opening displacement – crack width Sig_n i - Normal stress on the crack plane Sig_t i - Shear stress on the crack plane
 | Element Incidences | Node numbers belonging to each element. Group - Element group (macroelement number) Elem. - Element number Type - Element type number Geom. - Geometry type number, normally equal to Element group (macroelement number) Mater. - Material number No. # - Element node number
 | Element Material Types | The material types used for each element.
 | Element Output Options | Output-related settings for each element (activity, interpolation, etc.)


Result Data Evaluated in Element Integration Points

These data have the same type of information as in the nodes, see sections 5.5.5 and 5.5.2. It should be realized, that the integration points are the ‘true’ locations, where the response of material model is evaluated (except for true nodal quantities like Displacements, Reference/Current Nodal Coordinates, Bond Slip, Compact/Partial Internal/External/Residual Forces, Reactions). The material state variables displayed in other locations, such as element nodes, can be somewhat changed due to extrapolation.

 |  | Contents
Element IPs | Cracking Moduli | Cracking moduli [image] of the Cementitious fracture-plastic material.
 | Direction Status | Status variable in the Cementitious fracture-plastic materials indicating material fracture state: 1-virgin, 2-crack, 4-fully cracked.
 | Displacements At Ips | Displacements of the integration points
 | IP Coordinates | Coordinates of the integration points.
 | Material Transformation Matrix | Transformation matrix used in Cementitious fracture-plastic materials for transformation from global to local coordinate system of the cracked material
 | Reference Ip Coordinates | Initial coordinates of the integration points.
 | Yield/Crush info | Status variable in the Cementitious fracture-plastic material indicating crushing state: 1-virgin, 2-plastic hardening, 4-softening


Result Data Evaluated in Element Nodes

These data have the same type of information as in integration points, see section 5.5.4. Their values are extrapolated from integration points to element nodal points. The values of material variables (stresses, strains) in the same node, but in different element, can be different. (However, in mesh nodes, sect. 5.5.2, only one average value is shown in nodes belonging to the same element group.)


Global Data

 |  | Contents
Global | Arc-Length Params | Arc Length parameters
 | Convergence Criteria | Convergence status.
 | Eigenvalue Characteristics | Parameters used for the eigenvalue solution
 | FE model Characteristics | Numbers of: nodes, groups, element types, materials, dimensions.
 | Line Search Params. | Line Search method parameters.
 | Solution Characteristics | Parameters of used solution methods.
 | Step Convergence | Convergence status at step end.
 | Step ID | Load step number.
 | Task Name | Task name.
 | Task Title | Title.


Load Cases Data

 |  | Contents
Load cases | Load Slave Nodes | List of load slave nodes (loaded nodes).
 | Master Slave Nodes | List of Master-Slave constraints
 | Support Master Nodes | List of support master nodes. See Support Slave Nodes above.
 | Support Slave Nodes | List of support slave nodes. Additional information about boundary conditions with details about master-slave relations, useful for cases of more complex kinematic constrains.


Element Groups and Smeared Reinforcement

The data are grouped according to their locations in a basic group and smeared reinforcement layers. In this classification the basic group includes elements with the basic material (for example Cementitious2, SBETA, Von Mises, etc.) and discrete reinforcement. For example, if one checks a data box for results in ‘stress’, this makes a request for data of all concrete elements and all truss elements of reinforcing bars. The stress data will include three stress components for concrete and only one stress component for bars.

The additional layers include smeared reinforcement. Each Macroelement can contain one or more smeared reinforcement layers. Description of the data box is composed of the data name (e.g., Stress) and the layer number (e.g., 2). Example: Stress (s2) means that request is made for stress in the 2nd layer of smeared reinforcement.

For smeared reinforcement (and also for discrete reinforcement bars), the values are in a local direction of the reinforcement. As the reinforcement material is in an uniaxial stress state, the principal strains (and stresses) are identical with strains (stresses).


New task

After opening the program ATENA 3D following sequence of work steps is recommended for new tasks.

(1) Open Pre-processor module and generate new model. This should include:

a. Materials and their parameters (3.7.1.2).

b. Topology (geometry 3.7.2.2, reinforcement 3.7.2.4.1, contacts 3.7.2.3, etc.).

c. Finite element mesh (3.7.4).

d. Load cases (3.7.3) and load steps (3.7.5.2).

e. Monitoring points (3.7.5.3).

f. Activity groups (3.7.1.5).

(2) Open Run module and perform analysis. This includes:

a. Select steps to be calculated and saved (4.3).

b. Define and select graphs to be displayed during analysis (4.5).

c. Set parameters of real-time graphic window, activity, structure (4.6).

d. Select a progress message text (4.7).

e. Start analysis. Interrupt if needed (4.4).

(3) Open Post-processing module and evaluate results. This includes:

a. Select analysis step (5.4.2).

b. Select activity (5.4.4).

c. Select parameters of Structure (5.4.5).

d. Select parameters of Results (0).

e. Copy and paste graphical results in documents (5.3.2).


Processing of Existing Data

There are many of ways how to inspect and process ATENA data. It is possible save data in form of *.cc3 file at any stage of processing and open these data later. For example processing can be divided into three sessions: pre-processing, run and post-processing. Intermediate results can be stored in *.cc3 files.

It is also possible to use ATENA 3D only for post-processing of data saved by other ATENA programs: ATENA 2D, AtenaWin and AtenaConsole. Such data must be stored in binary load step files name.i. See also section 3.2.1.


Hints for Large Tasks

It should be realized, that the finite element analysis and especially in 3D can grow to large data sizes, which in turn can require long time of processing. However, the large size has more pronounced effect only on some functions. The post-processing functions, which are strongly effected by size are those included in the tools for ‘Structure’ (5.4.5) and ‘Results’ (0) layers. In contrast, the tools for graphic manipulations (in the graphic tool bar 3.6) are not so much sensitive to data size, since they deal with graphical images only and are efficiently processed by graphic functions.

The above effect should be considered while working with post-processor. For example, it may require some time to change the contents of the image from results of 3D to 1D layer or from stresses to strains, but it is not a problem to look at the same result from different views, move and rotate etc.

The size of the model file (and as a consequence, the general response during runtime and postprocessing) can be significantly reduced by not saving the full results for each load step, i.e., only selecting steps which should later be postprocessed before starting the analysis.

See also the ATENA Troubleshooting Manual, sections 2.2.17 The analysis runs too long. How can I speed it up? and 2.4.1 Out of memory error during ATENA analysis for general advice on reducing the model size and analysis time.


Animation

In post-processing, if we want to produce a sequence of pictures, such as animation showing the crack propagation for a series of load steps, we must keep constant all settings and change the load step results only. For this we select first the load step with the most representative range of data (usually the highest load step). In this step we define all settings according to our needs. After setting is finished we should switch off the automatic scale.

Then another load step data can be read by choosing another item from the list in “Step” (5.4.2). The bitmaps can be stored using the command Edit | Copy picture (5.3.2 or push keyboard CTRL+C) and subsequently pasted into a file. The same can be done by the command File | Export bitmap (5.3.1). The animated sequence can be used as a series of pictures in a document or an animated show can be produced outside of ATENA Post-processor by another software, for example by MS PowerPoint. An example is shown in Fig. 6‑1, where a development of deformed form, crack pattern and compressive stress iso-areas is shown for four load steps.

LS 1 LS 10

LS 15 LS 20

Fig. 6‑1 Example of animation.